Introduction

Welcome to CFS, the comprehensive cold-formed steel component design software. The endless variety of shapes and sizes of cold-formed steel members, combined with the complex failure modes of this type of construction, results in difficult and time-consuming structural calculations to determine the strength of such members.

Background

The American Iron and Steel Institute (AISI) has published numerous editions of the "Specification for the Design of Cold-Formed Steel Structural Members" over the years. The 1986 Edition introduced a significant change to member local buckling strength determination called the "Unified Approach". This approach requires the computation of effective widths for each element of the cross section, based on the slenderness of the element, the stress in the element, and the degree of edge stiffening. The effective section properties are then used to determine the strength. This is often an iterative process due to shifting of the neutral axis and thus changes in stress level.

The first version of CFS was written in 1987 to assist the engineer in performing these calculations. From the start, the primary goal was to handle any general shape of uniform material thickness. The internal calculations were developed from mathematically rigorous derivations for arbitrary shapes, including integration through the bend radius segments and across the material thickness. Furthermore, the calculations of torsional properties, which are often crucial in the determination of member strength, use exact integrations for thin-walled sections that incorporate the bend radius segments as well.

Just as important was the goal to make the application easy to use. A flexible method of defining cross section shapes was devised that simply requires the length and angle of consecutive connected elements, and the bend radius between each of them. Additionally, the graphical interface provides the user with immediate visual confirmation of the inputs as they are given.

This Version

The CFS application has evolved through changes in appearance and functionality, numerous enhancements, and changes to the specification provisions. Here is a history of published editions of the AISI Specification for the Design of Cold-Formed Steel Structural Members:

  • 1996: Allowable Stress Design (ASD) and Load and Resistance Factor Design (LRFD) combined into one specification (CFS 3.0)
  • 1999: Supplement to 1996 Edition with some refinements and new provisions (CFS 3.5)
  • 2001: First edition of the North American Specification, incorporating Limit States Design (LSD) for Canada (CFS 4.0)
  • 2004: Supplement to the 2001 Edition with many new provisions including the Direct Strength Method (CFS 5.0)
  • 2007: Refinements to some provisions and new requirements for distortional buckling (CFS 6.0)
  • 2010: Supplement to 2007 Edition with minor revisions (CFS 7.0)
  • 2012: Various improvements to the scope of the design provisions (CFS 8.0)
  • 2016: Complete restructuring of Specification to be more aligned with AISC 360 (CFS 10)
  • 2018: Supplement 1 to 2016 Edition with minor revisions (CFS 11)
  • 2022: Supplement 3 to 2016 Edition with several revisions (CFS 14)

This version of CFS provides calculations based on all the above editions since 2001, including ASD and LRFD methods (U.S. and Mexico) and the LSD method (Canada). Also, the 2022 Edition of the ASCE Specification for the Design of Cold-Formed Stainless Steel Structural Members (ASCE 8-22) is used for ASD and LRFD methods with stainless steel materials.

Responsibility

It is strongly recommended that the user of this software have a good understanding of these specifications. CFS is intended to assist the engineer in performing the necessary structural calculations for cold-formed steel structures, and to increase your productivity. However, it cannot replace responsible engineering practice and judgment.

Great effort has been made to ensure that the computations performed by CFS are correct within the guidelines and assumptions stated in this documentation. The author takes no responsibility for any errors that occur. The interpretation of the output and the application of such data is solely the responsibility of the user.

RSG Software, Inc.
2803 NW Chipman Road
Lee's Summit MO, 64081
support@rsgsoftware.com
www.rsgsoftware.com


Overview

The CFS application allows you to work with two types of objects: Section and Analysis. A Section is a geometric definition of a cold-formed steel cross sectional shape and its material properties. An Analysis is a configuration of cold-formed steel members, supports, and loads, for a simple beam, continuous beam, or beam-column arrangement.

Sections

A Section is composed of one or more individual cold-formed steel cross sectional shapes (parts) that together represent a beam or column member. Each part in a section is of uniform thickness with curved bends, and may be an open or closed shape. Parts are made up of elements that each define the flat portion of the shape, the radius at the bend, an optional hole size, and some behavior characteristics.

Many useful editing features are available to quickly modify shapes. In addition to ordinary cut, copy, paste, insert, and delete functions, you may also rotate and mirror parts and entire sections, add stiffening ribs to elements of a section, and generate the second half of a symmetrical part. You may also undo and redo the last change you make.

A section also has a specific set of material properties associated with it. CFS provides several carbon steel and stainless steel material types to choose from. Additionally, you may define a custom carbon steel or stainless steel material for a section.

Analyses

An Analysis is composed of members, supports, and loads. It may be used for analyzing simple beams, continuous beams, or beam-columns, with both vertical and horizontal transverse loads, as well as axial loads.

Each member has an associated section, and all sections used in an analysis must be open (loaded) when working with the analysis. Member locations are defined independent from support locations. This approach provides a convenient way to define overlaps and multiple supports without numerous member segments and nodes. Supports may be horizontal, vertical, torsional, and rotational about both X and Y axes.

Loads are grouped by loading type (dead, live, etc.), and numerous ASD, LRFD, and LSD load combinations may be defined. Transverse loads may be distributed (uniform or trapezoidal) or concentrated. Axial loads are defined by specifying both ends: the point of application and the point of restraint.

Computations

Several computations are available: Section Properties (full and net), Section Strength (axial, bending, and shear), Member Checks, and Web Crippling Checks. The output from any of these computations may be combined into reports for saving and printing. A finite strip elastic buckling analysis can be performed on any section containing one part. You may also display and print shear, moment, and deflection diagrams for an analysis.


Interface

CFS is a Multiple Document Interface (MDI) application. This means that you may have several windows open at the same time. The main CFS window is a container for all the MDI windows. There are three types of windows in the MDI: Section Window, Analysis Window, and Report Window.

Additionally there are two windows for defining inputs: Section Inputs and Analysis Inputs. These are `floating' windows that are displayed separate from the main CFS window. They may be moved outside the boundaries of the CFS window, and they may be closed and reopened at any time.

There are also several 'dialog' windows used for entering specific information to complete a task. Some examples are Section Wizard, Insert Ribs, Member Check Parameters, Web Crippling Parameters, and Analysis Wizard.

The main CFS window contains a menu of commands at the top. These commands are used to perform specific tasks, and are grouped into the categories: File, Edit, View, Compute, Tools, Windows, and Help. Many of the commands on these menus have shortcut keys which are displayed next to the command. Some of the menu commands are available in pop-up menus from the section window, analysis window, and input grids. A toolbar also provides quick access to many of the menu commands.

Units

Many inputs throughout the application are numerical with an associated unit of measure. Initially, these inputs use the units defined by the application defaults (see Options - Units). These inputs contain a drop-down list showing conversions to other units of the same type. You may select any of the values in the list, thereby changing the default unit for that specific input. You may also type in the value and the unit you want to use. If you start modifying an input and change your mind, you may press the Esc key to revert to the previous value.

Tab Pages

Several input windows contain multiple tabs. Click on a tab to change the displayed tab. You may also use the Ctrl-Tab and Ctrl-Shift-Tab keys, or Ctrl-Page Up and Ctrl-Page Down keys, to cycle through the pages.

Grid Inputs

Many of the inputs for sections and analyses are organized in a tabular form, or grid. Grids behave very similar to spreadsheets. By positioning the cell pointer on the desired location, you may change the entry by just retyping it, or by editing it. An input can be made available to edit by either double-clicking on it or by pressing F2. Rows in a grid may be inserted, deleted, copied, pasted, etc.

Several keys may be used for navigation and cell selection in a grid. Arrow keys, Page Up, Page Down, Home, and End all move the cell pointer around the grid. Using the arrow keys while holding the Shift key extends the selection of cells. Ctrl-X, Ctrl-C, and Ctrl-V are used to cut, copy, and paste rows.


Working with Sections

There are several ways to create a Section Window such as: create a new section with the Section Wizard, open an existing section (cfss) file, or open a section from a section library (cfsl) file. The section window contains a graphic of the cross sectional shape.

All the inputs for a section are contained in the Section Inputs window. These inputs are grouped into four categories, each on a separate tab in the window. The Section Tab contains inputs that apply to the entire section. The Part Tab contains inputs that apply to each individual part. The Elements Tab contains inputs that define the elements for each part. The Direct Strength Tab conatins factors applied with the Direct Strength Method.

Many useful editing features are available to quickly modify shapes. In addition to ordinary cut, copy, paste, insert, and delete functions, you may also rotate and mirror parts and entire sections, add stiffening ribs to elements of a section, and generate the second half of a symmetrical part. You may also undo the last change you make. See the Edit menu.

A section also has a specific set of material properties associated with it. These properties are defined on the Section Tab, and apply to all parts in the section. CFS provides several carbon steel and stainless steel material types to choose from. Additionally, you may define a custom carbon steel or custom stainless steel material for a section.

There are several computations that may be performed for a section. These are accessed from the Compute menu. Full and net section properties are computed using the Properties command. The fully braced strength is computed using the Strength command. A member check can be performed using the Member Check command. This check requires some additional inputs defining the member parameters and the internal forces. A web crippling check can be performed using the Web Crippling command. This check also requires some additional inputs defining parameters and loads. The Torsion Properties command provides key properties for calculating torsional stresses. And finally, a finite strip elastic buckling analysis can be performed on any section containing one part.


Section Window

The section window displays a graphic of the section. Every open section has a corresponding section window, whether it was created as a new section with the Section Wizard, or opened from a section file or a section library.

The graphic contains some markers in addition to the geometry. Each part in the section contains a dot at its center of gravity. The origin of the section is shown as a plus (+). After any computations, the principal axes are shown as perpendicular lines. The long line is the major axis and the short line is the minor axis. The shear center is identified as a plus with a circle.

You may use the mouse to select parts and elements. Selected elements are shown highlighted in the graphic. You may select any element in the section simply by clicking on it. You may select multiple consecutive elements on a part by clicking on one element and dragging to another element. You may select an entire part by double-clicking on it. A pop-up menu of edit commands is available by clicking with the right mouse button.

You may also measure the distance between two points on the section. Hold the Ctrl key and click the first point. CFS will select the nearest endpoint, midpoint, or arc quadrant, and show a point marker in the window. Then hold the Ctrl key and click the second point to display dimension information between the two points. To remove the dimensions, hold the Ctrl key and click one more time.

You may also zoom and pan the display using either the mouse or the keyboard.

Here is a summary of the mouse and keyboard methods:

Action | Mouse | Keyboard
Select Elements | Click, Click & Drag | Up, Down, Shift-Up, Shift-Down
Select Part | Double-Click |
Select Point | Ctrl-Click |
Zoom In/Out | Ctrl-Mouse Wheel | Page Up, Page Down
Pan Up/Down | Mouse Wheel | Ctrl-Up, Ctrl-Down
Pan Left/Right | Shift-Mouse Wheel | Ctrl-Left, Ctrl-Right
Drag | Middle-Click & Drag |
Zoom All |  | Home or Escape
Edit Menu | Right-Click | Apps Key


Origin

The (0,0) point of the coordinate system used for the placement of parts in a section, and the reference point for axial load eccentricities. It is shown as a plus (+) in the section window.


Section Wizard - Page 1 of 2

This window is displayed by selecting New Section from the File menu. The Section Wizard is used to easily create the geometry for many common shapes. Once you finish the Wizard, you have full editing capabilities for the section.

The first page of the Section Wizard is used to select the type of section you want to create. After you select the shape, press the Next button to proceed to the next page (see Page 2).

If the shape isn't represented, you may define any shape by choosing `Custom', and then pressing the Finished button. This will create a section with no geometry, from which you may start building the shape you need.


Section Wizard - Page 2 of 2

This window is displayed by selecting New Section from the File menu. The Section Wizard is used to easily create the geometry for many common shapes. After you finish the Wizard, you have full editing capabilities for the section.

The second page of the Section Wizard is used to define the geometric parameters applicable to the shape you selected (see Page 1). All of the dimensional parameters of Section Depth, Flange Width, and Lip Length are measured to the outside intersection points, except for panel sections which dimension to the centerline of the thickness. Some of the inputs do not apply to every shape.

Thickness (name) | A selection of predefined thicknesses and corresponding default bend radii. If you select a different thickness name, the thickness and default bend radius are updated. The predefined thicknesses may be customized by selecting Options from the Tools menu.
Thickness (value) | The design thickness of the part. If you enter a thickness that matches a predefined thickness, its corresponding default bend radius will be assigned. If it does not match a predefined thickness and the bend radius is less than the new thickness, the bend radius is set equal to the new thickness.
Section Depth | The overall vertical dimension of the section.
Flange Width | The width of the flange. This is usually the dimension of the horizontal element(s). For angle sections, it is the length of the legs.
Lip Length | The length of the lip edge stiffener.
Radius | The inside bend radius for all bends on the part. If some bends use a different bend radius, you may make these changes after the Section Wizard creates the section.
Web Angle | The angle of the web, measured from the horizontal.
Lip Angle | The angle of the lip, measured from the horizontal.
Rib Spacing | The horizontal distance from the center of one rib to the center of the next rib. This only applies to panel sections.
Number of Spacings | The number of rib spacings in the panel. There is one more rib than the number of spacings.

For sections comprised of multiple parts, CFS provides the override values for the torsion properties J and Cw. These values are calculated with the assumption that the parts are rigidly and continuously connected at the contact points. If this assumption is not correct for your section, you will need to modify these override values on the Section tab of the Section Inputs window.


Section Inputs - Section Tab

This window is displayed when you create a new section or open an existing section. It is displayed as a floating window separate from the main application window. Closing this window will not close the section itself and will not lose any information about the section. To redisplay this window (when a section is open), select Section Inputs from the View menu, or press F3.

This tab contains general inputs that apply to the entire section. See also Part Tab, Elements Tab, and Direct Strength Tab.

Description | Text describing the type of section.
Project | Text describing the use for the section.
Revised | The date and time of the last revision to the section, and the name of the user that made the last revision. The user name comes from the Heading tab of the Options window.
Material Type | The designation for the type of material of the section. When you select a different material, the yield strength and tensile strength inputs are updated to the defaults for that material. For carbon steels, these may then be changed if necessary. If you have created a custom material it will also be available to select from the list. Additionally, you may view detailed information about the material and customize it specifically for the current section by pressing the ‘…’ button next to the material type.
Apply cold work of forming strength increase | Indicates whether to calculate and apply the strength increase from cold work of forming. If the inleastic reserve option is also checked, the strength increase from cold work of forming is not permiited, but CFS will calculate and report the higher strength of the two options. The cold work of forming option does not get applied to cylindrical tubes.
Apply inelastic reserve strength increase | Indicates whether to calculate and apply the inelastic reserve strength. If the cold work of forming option is also checked, the inelastic reserve strength is not permiited, but CFS will calculate and report the higher strength of the two options.
Yield Strength, Fy | The section material yield strength used for design calculations. For stainless steel materials, this represents the longitudinal compression yield strength and is not editable.
Tensile Strength, Fu | The section material longitudinal ultimate tensile strength. For stainless steel materials, this is not editable.
J Override | St. Venant torsion constant to be used instead of the value calculated by CFS, if the override is greater than the calculated value. This is useful for sections containing multiple parts that are connected such that the section torsion constant is larger than the sum of the individual part torsion constants, which generally happens when separate parts join to form a closed shape. The Section Wizard will compute and assign the appropriate value for applicable sections using the assumption that the parts are rigidly and continuously connected. However if you subsequently make changes to the inputs, this value will not be automatically updated. For sections with holes, this override should reflect the weighted average torsion constant consistent with the hole length and spacing.
Cw Override | Torsional warping constant to be used instead of the value calculated by CFS, if the override is greater than zero. This is useful for sections containing multiple parts that are connected such that the section torsional warping constant is different from the sum of the individual part torsional warping constants. The Section Wizard will compute and assign the appropriate value for applicable sections using the assumption that the parts are rigidly and continuously connected. However if you subsequently make changes to the inputs, this value will not be automatically updated. For sections with holes, this override should reflect the net section warping constant.
 | The effective torsion properties for built-up sections depend on the stiffness of the connections, which can be difficult to determine if not rigidly and continuously connected. This article provides information which may be helpful: The mechanics of built-up cold-formed steel members.
Connector Spacing | For built-up sections of more than one part, this defines the longitudinal spacing between shear connectors. It is used to adjust the KL/r for column members. It is also used for the spacing of intermittent connections of cover plates.
Hole Length | For sections with holes, enter the length of the holes. This affects distortional buckling stresses and the average section properties used for calculating global buckling stresses. To ignore the impact on buckling stresses, enter a hole length of 0.
Hole Spacing | For sections with holes, enter the longitudinal hole spacing. This affects distortional buckling stresses and the average section properties used for calculating global buckling stresses.


Section Inputs - Part Tab

This window is displayed when you create a new section or open an existing section. It is displayed as a floating window separate from the main application window. Closing this window will not close the section itself and will not lose any information about the section. To redisplay this window (when a section is open), select Section Inputs from the View menu, or press F3.

A section may contain multiple parts that act together as a member. This tab contains the inputs for each part of the section, one part at a time. See also Section Tab, Elements Tab, and Direct Strength Tab.

Part Name | The name associated with the part, useful in built-up sections to identify the different parts more readily. The name may be changed to any name not already used in the section. To view the part inputs for a different part, select its name from the list. There is always one more entry in the list than there are parts currently defined. To add a part, select the last entry in the list and optionally rename it. You may delete a part by deleting its name and pressing Enter.
Thickness (name) | A selection of predefined thicknesses and corresponding default radii. If you select a different thickness name, the thickness and default radius are updated. The predefined thicknesses may be customized by selecting Options from the Tools menu.
Thickness (value) | The design thickness of the part. If you enter a thickness that matches a predefined thickness, its corresponding default radius will be assigned. If it does not match a predefined thickness and the default radius is less than the new thickness, the default radius is set equal to the new thickness.
Default Inside Radius | The inside bend radius used for new elements on the part. Changing this input will automatically change existing radii on the current part that were equal to the previous default radius.
Centerline Dimensions | When unchecked, element lengths and hole distances are measured to the outside intersection points. When checked, element lengths and hole distances are measured to the centerline intersection points. Changing this input automatically adjusts the element lengths and hole distances. Centerline dimensions are useful for panels and similar shapes that use the same centerline dimensions for different material thicknesses.
Closed Part | When unchecked, the part geometry is open, such as a channel or zee. When checked, the part geometry is closed, such as a tube.

Placement of Part from Origin:

X | The horizontal position of the current part with respect to the section origin. This position may be defined as measured to the left edge, to the right edge, or to the center of gravity of the part. Positive X is to the right of the origin.
Y | The vertical position of the current part with respect to the section origin. This position may be defined as measured to the top edge, to the bottom edge, or to the center of gravity of the part. Positive Y is above the origin.

Distance from Center of Gravity:

The distance from the center of gravity of the current part to the extreme fibers (top, left, bottom, right) of the part.


Section Inputs - Elements Tab

This window is displayed when you create a new section or open an existing section. It is displayed as a floating window separate from the main application window. Closing this window will not close the section itself and will not lose any information about the section. To redisplay this window (when a section is open), select Section Inputs from the View menu, or press F3.

Parts are made up of elements, each defining the geometry and behavior of a flat segment of the shape. This tab contains the inputs for elements, one part at a time. See also Section Tab, Part Tab, and Direct Strength Tab.

Part Name | The name of the part whose elements are currently displayed in the grid.
Length | The distance measured parallel to the element between the outside intersection points, or between the centerline intersection points if using centerline dimensions. To add an element to an open part, enter its length on the blank row after the last element. To add an element to a closed part, modify the length (or angle) of the last element. The length and angle of the added element on a closed part will always be determined by the program to close to the beginning of the first element.
Angle | The direction of an element from the preceding element. An angle of 0 is horizontal to the right. Positive angles are measured counter-clockwise.
Radius | The inside radius of the bend between the current element and the preceding element. The radius of the first bend on an open part has no relevance. The radius of the first bend on a closed part is the radius between the last element and the first element.
Web | Indicates the type of shear and web crippling behavior of the element. All web types other than 'None' have shear and web crippling strength. 'Cee', 'Zee', 'Hat', and 'Deck' are used for the web elements in those types of sections. 'Double' is used for webs restrained against rotation such as back-to-back Cees. 'Nested' is used for 'Zee' shapes that are overlapped at a support. 'Single' is a generic type for all other elements that should contribute to the shear and web crippling strength.
k Coefficient | The plate buckling coefficient used to determine the effective width of the element under compression. This should typically be the default value of 0, which indicates the program should determine the appropriate value (see Element Behavior). It can be useful for unusual situations not covered explicitly by CFS, and is also used to indicate a cover plate with intermittent fasteners (see Element Behavior). If you enter a non-zero plate buckling coefficient (maximum value of 4), it is applied using the compression width of the element and the average compressive stress in the element. This will be treated as a rational analysis using the more conservative safety and resistance factors. You may not define a plate buckling coefficient and a hole in the same element.
Hole Size | The size of the hole in the plane of the cross section. The default hole size of 0 indicates the element has no hole. The maximum hole size is the flat width of the element. You may not define a hole and a plate buckling coefficient in the same element.
Distance | The distance from the beginning of the element to the center of the hole, measured from the outside intersection point, or from the centerline intersection point if using centerline dimensions.


Section Inputs - Direct Strength Tab

This window is displayed when you create a new section or open an existing section. It is displayed as a floating window separate from the main application window. Closing this window will not close the section itself and will not lose any information about the section. To redisplay this window (when a section is open), select Section Inputs from the View menu, or press F3.

Parts are made up of elements, each defining the geometry and behavior of a flat segment of the shape. This tab contains the inputs for elements, one part at a time. See also Section Tab, Part Tab, and Elements Tab.

Use Direct Strength | Check this box to use the Direct Strength Method of calculating section strength according to the AISI Specification. You must compute the elastic buckling behavior and enter the corresponding direct strength parameters in the table. You may use the Elastic Buckling feature from the Compute menu for sections consisting of one part. This tool allows you to select points directly from the buckling plot and transfer the values into the table.
Prequalified Section | Check this box if the section complies with the geometric parameters of prequalified sections as defined in the Direct Strength provisions of the AISI Specification. The strength of non-prequalified sections is determined using the safety or resistance factors for rational engineering analysis.
Generate | This button can be used to automatically generate the critical elastic buckling load ratios for compression and bending. This uses the Finite Strip Method for a variety of half-wavelengths to identify the critical local buckling and distortional buckling loads. This feature is available for sections comprised of one part, with or without holes. If changes are made to the section, the Generate button should be used again to recalculate the load ratios.
Pcrl/Py | The ratio of the critical elastic local buckling load to the compressive yield load. A value of 0 causes CFS to revert to the Main Specification provisions even if you check the box to Use Direct Strength.
Pcrd/Py | The ratio of the critical elastic distortional buckling load to the compressive yield load. A value of 0 causes CFS to revert to the Main Specification provisions even if you check the box to Use Direct Strength.
 | Note: Py is based on the gross section area and the specified longitudinal compression yield stress.
Mcrl/My | The ratio of the critical elastic local buckling moment to the yield moment. A separate value is required for each direction of bending. A value of 0 causes CFS to revert to the Main Specification provisions even if you check the box to Use Direct Strength.
Mcrd/My | The ratio of the critical elastic distortional buckling moment to the yield moment. A separate value is required for each direction of bending. A value of 0 causes CFS to revert to the Main Specification provisions even if you check the box to Use Direct Strength.
 | Note: My is based on the gross section modulus for the extreme fiber and the specified longitudinal compression yield stress.
Vcr/Vy | The ratio of the critical elastic shear buckling force to the shear yield force. A separate value is required for vertical and horizontal shear. A value of 0 causes CFS to revert to the Main Specification provisions even if you check the box to Use Direct Strength.


Custom Material Properties - Carbon Steel Tab

This window is displayed when you press the ‘...’ button on either the Material tab of the Options window, or on the Section tab of the Section Inputs window. If you came from the Options window, you are defining the default material for new sections; it does not affect any existing sections. If you came from the Section Inputs window, you are defining the material for the current section only.

This tab will appear if the original material was a carbon steel. See also Stainless Steel Tab.

Material Type | The designation for the type of material of the section.
Modulus of Elasticity, E | AISI specifies this value to be 29500 ksi or 203,000 MPa for carbon steel.
Minimum Yield Strength | The minimum value of yield strength for this type of carbon steel.
Default Yield Strength | The default value of yield strength when using this type of carbon steel (usually the minimum yield strength).
Minimum Tensile Strength | The minimum value of tensile strength for this type of carbon steel. This also is used as a maximum value of yield strength.
Default Tensile Strength | The default value of tensile strength when using this type of carbon steel (usually the minimum tensile strength).
Maximum Tensile Strength | The maximum value of tensile strength for this type of carbon steel.
Minimum Elongation in 2 inches (%) | The specified minimum elongation in a 2 inch (50 mm) gage length standard test specimen. This is used to determine whether a lower yield stress is required for design.
Minimum thickness for this elongation | The minimum thickness for which the above elongation is applicable. If the elongation is applicable to any thickness, enter 0.
Min elongation for thinner steel (%) | For steel thinner than the minimum entered above, enter the specified minimum elongation in a 2 inch (50 mm) gage length standard test specimen.
Default Button | This button sets the material to the current default settings for the new sections (defined in the Options window).
Customize Button | This button allows you to customize the material currently being displayed. You may modify the name of the material, but CFS will always place the name inside brackets to identify it as a material not originally provided with CFS. You may also modify any of the numerical inputs, with some limitations imposed by CFS. The customized material will then become your default material for new sections.


Custom Material Properties - Stainless Steel Tab

This window is displayed when you press the ‘...’ button on either the Material tab of the Options window, or on the Section tab of the Section Inputs window. If you came from the Options window, you are defining the default material for new sections; it does not affect any existing sections. If you came from the Section Inputs window, you are defining the material for the current section only.

This tab will appear if the original material was a stainless steel. See also Carbon Steel Tab.

Material Type | The designation for the type of material of the section.
Alloy Family | Choose Austenitic, Ferritic, or Duplex. These are the types supported by the ASCE stainless steel specification.
Property Directions | Stainless steel properties may vary in the different directions. Longitudinal is parallel to the direction in which the steel was produced. CFS assumes this to be the direction of the longitudinal axis of a member. Transverse is perpendicular to the longitudinal direction, in the plane of the sheet.
Modulus, E | The initial modulus of elasticity, which is the slope of the stress-strain curve at zero stress.
Yield Strength, Fy | The yield strength of the material as determined by the 0.2% offset. For shear, this should be set to 60% of the longitudinal compression strength.
Strain-Hardening Coefficient, n | A coefficient indicating the linearity of the stress-strain curve (refer to the ASCE Specification).
Tensile Strength, Fu | The tensile strength in the longitudinal direction.
Default Button | This button sets the material to the current default settings for the new sections (defined in the Options window).
Customize Button | This button allows you to customize the material currently being displayed. You may modify the name of the material, but CFS will always place the name inside brackets to identify it as a material not originally provided with CFS. You may also modify any of the numerical inputs, with some limitations imposed by CFS. The customized material will then become your default material for new sections.


Elastic Buckling Parameters

This window is displayed when you select Elastic Buckling from the Compute menu. After you enter the appropriate values and choose the appropriate settings, press the OK button and the Elastic Buckling Results will be displayed when the analysis is complete.

The elastic buckling analysis uses the finite strip method to determine the magnitude of the forces at which elastic buckling occurs. These buckling forces are affected by the member length (half wave length) and the stress distribution. The analysis will determine forces corresponding to numerous member lengths, and identify the lengths that correspond to controlling buckling modes.

The time to complete the analysis can take from a few seconds to several minutes depending on the complexity of the cross-section, the number of member lengths to calculate, and the speed of the computer.

Start Length | The smallest member length to consider in the buckling analysis. To capture local buckling, this should generally be less than 1/2 the width of the largest flat element.
End Length | The largest member length to consider in the buckling analysis. Intermediate lengths of 5 to 10 times the size of the section may exhibit distortional buckling. Greater lengths will reveal flexural and/or torsional buckling modes.
Increment Size The size of the length increments to use between the start length and the end length. The choices are:
  • Small - each length is about 1.125 times the previous length
    (20 increments in a 10x length range)
  • Medium - each length is about 1.25 times the previous length
    (10 increments in a 10x length range)
  • Large - each length is about 1.6 times the previous length
    (5 increments in a 10x length range)
Use Alternate Method | CFS uses a very fast eigenvalue solution technique to determine buckling stresses and mode shapes. There are some rare cases where this method does not calculate the buckling stresses for all member lengths. If that occurs you may choose the alternate method which might be able to obtain more of the results. This alternate method takes much longer to run.
Constrained Bending | Bending about a non-principal axis causes stress redistribution resulting from a rotated neutral axis. If you leave this option unchecked (recommended), the stresses will be adjusted but the buckling moments will correspond to the proportions you specify. If you check this option for constrained bending, the output buckling moments represent those which produce the stress distribution you specify. For sections oriented to the principal axes, this option has no impact.
Repeating Connected Shape | Choose this option for sections which are rigidly connected in a repeating pattern, such as some panel installations. This will force the start of the first element and the end of the last element to translate and rotate together during buckling. This option is not available for closed sections.
Stress Distribution | The vertical and horizontal slider bars are used to define the stress distribution you would like to apply to the cross-section. With both slider bars in the middle, uniform compression is applied. The vertical slider bar controls the moment about the X axis, where the top position produces a positive moment and the bottom position produces a negative moment. The horizontal slider bar controls the moment about the Y axis, where the right position produces a positive moment and the left position produces a negative moment.
fbx, fby, fc | The relative stress level resulting from bending about the X axis, bending about the Y axis, and compression, respectively. Bending values may vary from -1 to 1, and the compression value may vary from 0 to 1. The sum of the absolute values is forced to be 1.


Elastic Buckling Results

The Elastic Buckling window is displayed when you choose Elastic Buckling from the Compute menu, define the parameters to use in the analysis, and then perform the analysis.

The elastic buckling analysis uses the finite strip method to determine the magnitude of the forces at which elastic buckling occurs. This analysis involves dividing the section into several flat strips throughout the flat and curved portions of the section. The number of strips is automatically determined by CFS based on the size of the element and the stress distribution. More strips are used for larger elements with stress gradients. Fewer strips are used for smaller elements with uniform stress.

This window shows a plot of buckling stress vs. member length. The member length is shown on a horizontal logarithmic scale to provide greater resolution for the short wave-length behavior. The stress magnitude represents the maximum stress in the cross section, which is generally the maximum compressive stress, but may be the maximum tensile stress if bending about a non-symmetric axis. The solid curve represents the stress for buckling of the gross section. If the section contains holes, the dashed curve reflects the gross section stress for local buckling of the net section, and the X point reflects the gross section stress for distortional buckling of the net section.

The magnitude of the stress and resulting forces is displayed in the upper right corner corresponding to the position of the dot on the plotted profile. You can move the dot to other locations on the profile to display the corresponding values by pressing the left and right arrow keys or clicking on the profile.

The Copy Data button copies the profile data to the clipboard. This data can be pasted into another application such as Notepad, Word, or Excel.

The Copy Image button will copy the current display image to the clipboard, which may then be pasted into another application. This button may be used with either the stress profile or the mode shapes as shown below.

The Mode Shape button displays the buckled shape for the currently selected location on the stress profile. Subsequently pressing the Stress Profile button will return to the stress vs. length profile as shown above.

The Render option provides an illustration of the buckled shape. This illustration may be scaled up or down with the slider bar on the right (or up/down arrows). The direction of the deflection may be reversed with the ± button (or +/- keys). The member may be rotated left or right using the rotation buttons (or page-up/page-down). And you may shift to other mode shapes by moving the scroll bar on the left (or left/right arrows).

With the Render option turned off, you can see the mode shape in cross-section view:

These examples illustrate local buckling, distortional buckling, and lateral-torsional buckling. When this occurs at a local minima on the stress profile, the load ratio (P/Py) can be automatically applied to the Direct Strength value for the section by clicking the Direct Strength button. You just need to select whether it’s a local or distortional buckling mode and click OK. To fill in additional direct strength values for the section, run the elastic buckling analysis for the other basic stress distributions (positive and negative bending about x and y axes).

Here are some additional renderings of buckled shapes:

The Print button will print the elastic buckling results. It contains the stress profile and each controlling mode shape. This printout is formatted for standard 8½x11 inch paper in portrait orientation. Other sizes and orientations should work, but may result in less effective use of the paper.


Working with Analyses

There are two ways to create an Analysis Window: create a new analysis with the Analysis Wizard or open an existing analysis (cfsa) file. The analysis window contains a graphic of the members, supports, and loads. Simple beams, continuous beams, beams with laps, and beam-columns are examples of the types of problems that can be analyzed.

All the inputs for an analysis are contained in the Analysis Inputs window. These inputs are grouped into five categories, each on a separate page in the window. The General Page contains inputs and information for the analysis. The Members Page contains inputs that define the members in the analysis. The Supports Page contains inputs that define the member supports. The Loadings Page contains inputs that define loads applied to the members, and are grouped into different loadings. The Combinations Page contains inputs that define combinations of loadings to analyze.

All geometric locations are input using a one-dimensional global coordinate system. Members, supports, and loads are all defined independently, so that members may span across multiple supports, and loads may span across multiple members. Node numbers and beam elements are assigned internally by CFS and are invisible to the user. The plot of the geometry may be shown in either a horizontal or vertical orientation.

Each member has an associated section, and all sections used in an analysis must be open (loaded) when working with the analysis. The orientation of the section is as viewed from the left end (or top end) of the member. Lapped members are assumed to provide full continuity.

Supports may be horizontal (X), vertical (Y), torsional (T), and rotational about both X and Y axes (Rx and Ry). CFS does not consider ends of overlapped sections as support locations. If you want to consider these as support points, you must explicitly define them.

Loads are grouped by loading type (dead, live, etc.), and numerous ASD and LRFD load combinations may be defined. Transverse loads may be distributed (uniform or trapezoidal) as well as concentrated, and may be in any direction perpendicular to the members. Axial loads are defined by specifying both ends: the point of application and the point of restraint.

Once an analysis is defined, computations may be performed for one load combination at a time. The current combination on the Combinations Page of the Analysis Inputs is displayed in the analysis window. You may create shear, moment, and deflection diagrams, and you may also compute member checks and web crippling checks for any location. These are accessed from the Compute menu.


Analysis Window

The analysis window displays a graphic of the analysis. Every open analysis has a corresponding analysis window, whether it was created as a new analysis with the Analysis Wizard, or opened from an analysis file.

The graphic contains a horizontal or vertical representation of the members, viewed isometrically. The orientation of the section for each member is as viewed from the left end of the member, or from the top for the vertical orientation. Overlapping members are shown with a slight stagger in the lines so the overlap is visible. Supports are shown as follows: X supports are horizontal lines, Y supports are vertical lines, torsional supports are circles around the member, and rotational supports are horizontal or vertical hatched walls.

Graphical representations are also given for members with braced flanges and fully braced regions. And if the analysis inputs window is currently on the Loadings tab, all the loads for that loading are also shown in the graphic.

You may use the mouse to select members and supports. Selected items are shown highlighted in the graphic. You may select any member or support simply by clicking on it. You may select multiple consecutive members or supports by clicking on one and dragging to another. A pop-up menu of edit commands is available by clicking with the right mouse button.

You may also measure the distance between two points along the members or supports. Hold the Ctrl key and click the first point. CFS will select the nearest endpoint or support, and show a point marker in the window. Then hold the Ctrl key and click the second point to display the dimension between the two points. To remove the dimension, hold the Ctrl key and click one more time.

You may also zoom and pan the display using either the mouse or the keyboard.

Here is a summary of the mouse and keyboard methods:

Action | Mouse | Keyboard
Select Members | Click, Click & Drag |
Select Supports | Click, Click & Drag |
Select Point | Ctrl-Click |
Zoom In/Out | Ctrl-Mouse Wheel | Page Up, Page Down
Pan Up/Down | Mouse Wheel | Ctrl-Up, Ctrl-Down
Pan Left/Right | Shift-Mouse Wheel | Ctrl-Left, Ctrl-Right
Drag | Middle-Click & Drag |
Zoom All |  | Home or Escape
Edit Menu | Right-Click | Apps Key


Analysis Wizard - Page 1 of 4

This window is displayed by selecting New Analysis from the File menu. The Analysis Wizard is used to easily create the geometry and loads for many common beam and column configurations. Once you finish the Wizard, you have full editing capabilities for the analysis.

The first page of the Analysis Wizard is used to select the type of analysis you want to create. After you select the configuration, press the Next button to proceed to the next page (see Page 2).

If the analysis configuration isn't represented, you may define any analysis by choosing `Custom', and then pressing the Finished button. This will create an analysis with no members, supports, or loads, from which you may start building the configuration you need.


Analysis Wizard - Page 2 of 4

This window is displayed by selecting New Analysis from the File menu. The Analysis Wizard is used to easily create the geometry and loads for many common beam and column configurations. Once you finish the Wizard, you have full editing capabilities for the analysis.

The second page of the Analysis Wizard is used to define the parameters for members and supports. After you enter the parameters you want, press the Next button to proceed to the next page (see Page 3).

Section | The name of the section file to use for the members. This drop-down list contains all of the sections currently open in CFS.
Span Lengths | The length of each span, or distance between vertical supports, separated by commas (or periods if a comma is your decimal separater). You may enter up to 20 spans.
Cantilever Length | The length of cantilever beyond the first and last supports.
Lap Length | The length of beam overlap on each side of the supports. Lapped members are assumed to provide full continuity. This input is only available for Multi-Span Beam with Laps.
Fixed End Supports | Indicates whether the extreme ends of the members are in rotation about both the X and Y axes. If checked, you cannot have a cantilever length.
Bearing Length | The length of bearing in the longitudinal direction (width of the supports).
Fastened Support | Indicates whether the bearing flanges are fastened to the supports. This can affect the web crippling strength at the support.
Member Bracing | Indicates the type of bracing between vertical supports: None, Mid-Point, Third-Points, Quarter-Points, or Fully Braced. This will create horizontal (X) and torsional (T) supports at the specified intervals. These brace points will restrain all flanges against twisting and lateral movement.
Braced Flange | For members having one flange fastened to deck, sheathing, roof system, or other continually connected system, select the flange that is attached: Bottom, Top, Left, or Right. Otherwise, select None. You can have both a braced flange and discrete member bracing at the same time.
Moment Reduction, R | If there is a braced flange, enter the moment reduction factor as defined in the AISI or ASCE Specification for your situation. For example: R=0.70 for continuous span Z sections R=0.60 for continuous span C sections R=0.70 for simple span C or Z section, depth £ 6.5" R=0.65 for simple span C or Z section, 6.5" < depth £ 8.5" R=0.50 for simple span Z section, 8.5" < depth £ 12" R=0.40 for simple span C section, 8.5" < depth £ 12"
Stiffness, kf | The rotational stiffness provided to the braced flange by connection to the bracing material (deck, sheathing, etc.). This stiffness is incorporated in the distortional buckling calculations for the flange which is braced (bottom, top, left, or right). The units for this input are moment/radian/unit length (such as k-in/rad/in) which is then reduced to a force (such as k). Refer to the AISI Specification and Commentary for more information on determining what value to use.
Length, Lm | The distance along the length of the member between discrete rigid restraints that restrict distortional buckling. If there are no discrete restraints for distortional buckling, leave this as a large value (such as the span length) and CFS will calculate the distortional buckling wavelength. If the member is fully restricted against distortional buckling, use Lm = 0. If the shape does not have a distortional buckling failure mode, the value of Lm has no effect. In cases where rotational stiffness is provided to the braced flange by connection to bracing material, Lm does not represent the spacing between fasteners. It is the distance between rigid restraints against distortional buckling, if they exist.


Analysis Wizard - Page 3 of 4

This window is displayed by selecting New Analysis from the File menu. The Analysis Wizard is used to easily create the geometry and loads for many common beam and column configurations. Once you finish the Wizard, you have full editing capabilities for the analysis.

The third page of the Analysis Wizard is used to define the applied loads. After you enter the parameters you want, press the Next button to proceed to the next page (see Page 4).

Tributary Width | The width across which pressure loads are carried by the members in the analysis. For beams, this applies to all load types listed below. For columns, this only applies to the wind load.
Include beam self-weight | For beam arrangements, indicates whether to include the beam self-weight as an additional dead load. Not applicable to columns.
Dead Load | Gravity load due to the weight of construction materials and permanent equipment, stated in force per unit area for beams, and force for columns.
Live Load | Gravity load due to intended use and occupancy, stated in force per unit area for beams, and force for columns.
Product Load | Gravity load due to intended use of product storage on racks, stated in force per unit area for beams, and force for columns.
Roof Live Load | Gravity load due to intended use on roofs, stated in force per unit area for beams, and force for columns.
Snow Load | Gravity load due to accumulation of snow, stated in force per unit area for beams, and force for columns.
Wind Load or Uplift | Transverse load due to wind, stated in force per unit area. For beams, this is an uplift force as is commonly applied to roof members.
Load Angle | This input applies to beam analyses. A load angle of 90 degrees indicates vertical loads. The dead load, live load, roof live load, and snow load are applied as negative magnitudes, producing a download load. Wind uplift is applied as a positive magnitude, producing an upward load. Load angles other than 90 degrees can be used to simulate members installed at an angle (such as purlins). For example, rather than rotating a section by 30 degrees to reflect its installed angle, you should adjust the load angles by -30 degrees, and therefore enter a 60 degree load angle.


Analysis Wizard - Page 4 of 4

This window is displayed by selecting New Analysis from the File menu. The Analysis Wizard is used to easily create the geometry and loads for many common beam and column configurations. Once you finish the Wizard, you have full editing capabilities for the analysis.

The fourth page of the Analysis Wizard is used to select the load combinations to include in the analysis. After selecting the load combinations you want, press the Finished button and the new analysis will be generated.

The load combinations list includes several sets of commonly used load combinations, plus a set of custom load combinations if you defined any in the Options window. Under combinations to include, check or uncheck the applicable load combinations to your analysis problem.

Each load combination has an associated design method (ASD, LRFD, or LSD). The current application setting for the design specification will determine which specification is actually applied to each combination. For example, if the selected specification is 2016 NAS - US (ASD), but the load combination is LRFD or LSD, then the specification applied to that combination would be 2016 NAS - US (LRFD).

Check the box for Use Inflection Point Bracing if you want the analysis to treat inflection points as brace points. This setting will apply to all selected load combinations. So if you want some of them to be changed, you can get more specific on the Combinations tab of the Analysis Inputs window.


Analysis Inputs - General Tab

This window is displayed when you create a new analysis or open an existing analysis. It is displayed as a floating window separate from the main application window. Closing this window will not close the analysis itself and will not lose any information about the analysis. To redisplay this window (when an analysis is open), select Analysis Inputs from the View menu, or press F4.

This tab contains general inputs and information for the analysis. See also Members Tab, Supports Tab, Loadings Tab, Combinations Tab, and Notes Tab.

Description | Text describing the type of analysis.
Project | Text describing the use for the analysis.
Revised | The date and time of the last revision to the analysis inputs, and the name of the user that made the last revision. The user name comes from the Heading tab of the Options window.
Member Orientation | Choose between Horizontal for beams and Vertical for columns. This only affects how the members are displayed. This has no impact on other inputs. For columns, the locations are measured from the top down.

Two member check options are defined on this tab:

Calculate global buckling using elastic theory | Most of the global buckling equations in the AISI Specification are based on elastic theory. But special cases exist for unequal unbraced lengths and non-symmetric sections, where more rigorous elastic theory could predict a higher buckling stress. Choosing this option enables these advanced elastic theory calculations. For AISI Specification editions prior to 2016, using elastic theory may in some cases be treated as a rational analysis with more conservative safety and resistance factors.
Include torsion in member checks | If checked, the applied torsion bimoment is determined at each member check location, and the impact on flexural strength is included in the member check.


Analysis Inputs - Members Tab

This window is displayed when you create a new analysis or open an existing analysis. It is displayed as a floating window separate from the main application window. Closing this window will not close the analysis itself and will not lose any information about the analysis. To redisplay this window (when an analysis is open), select Analysis Inputs from the View menu, or press F4.

This tab contains inputs for the members in the analysis. Each row in the grid represents a member in the analysis. See also General Tab, Supports Tab, Loadings Tab, Combinations Tab, and Notes Tab.

Section | The name of the section file to use for the member. This drop-down list contains all of the sections currently open in CFS. To add a different section to an analysis, you must first open the section. To add a member, enter its section name in the blank row after the last member. Each member in an analysis may use a different section.
Start Location | The global longitudinal position of the ‘left’ end of the member (‘top’ end for columns). Multiple members must be continuous. Members may overlap but you cannot have gaps between members. Lapped members are assumed to provide full continuity.
End Location | The global longitudinal position of the ‘right’ end of the member (‘bottom’ end for columns). This location must be greater than the start location, otherwise they will get swapped.
Braced Flange | For members having one flange fastened to deck, sheathing, roof system, or other continually connected system, select the flange that is attached: Bottom, Top, Left, or Right. Otherwise, select None. These flange definitions refer to the orientation of the cross section.
R | If there is a braced flange, enter the moment reduction factor as defined in the AISI or ASCE Specification for your situation. For example: R=0.70 for continuous span Z sections R=0.60 for continuous span C sections R=0.70 for simple span C or Z section, depth £ 6.5" R=0.65 for simple span C or Z section, 6.5" < depth £ 8.5" R=0.50 for simple span Z section, 8.5" < depth £ 12" R=0.40 for simple span C section, 8.5" < depth £ 12"
Stiffness, kf | The rotational stiffness provided to the braced flange by connection to the bracing material (deck, sheathing, etc.). This stiffness is incorporated in the distortional buckling calculations for the flange which is braced (bottom, top, left, or right). The units for this input are moment/radian/unit length (such as k-in/rad/in) which is then reduced to a force (such as k). Refer to the AISI Specification and Commentary for more information on determining what value to use.
Length, Lm | The distance along the length of the member between discrete rigid restraints that restrict distortional buckling. If there are no discrete restraints for distortional buckling, leave this as a large value (such as the span length) and CFS will calculate the distortional buckling wavelength. If the member is fully restricted against distortional buckling, use Lm = 0. If the shape does not have a distortional buckling failure mode, the value of Lm has no effect. In cases where rotational stiffness is provided to the braced flange by connection to bracing material, Lm does not represent the spacing between fasteners. It is the distance between rigid restraints against distortional buckling, if they exist.
ex, ey | The load eccentricity in the X and Y direction, measured from the origin of the section. Positive ex is horizontal to the right of the origin and positive ey is vertically above the origin. The combination of the axial loads and these eccentricities produce additional bending moments. The combination of transverse loads and these eccentricities affect the magnitude of torsional loads applied to the member. For more information, see Torsion Analysis


Analysis Inputs - Supports Tab

This window is displayed when you create a new analysis or open an existing analysis. It is displayed as a floating window separate from the main application window. Closing this window will not close the analysis itself and will not lose any information about the analysis. To redisplay this window (when an analysis is open), select Analysis Inputs from the View menu, or press F4.

This tab contains inputs for the supports in the analysis. Each row in the grid represents one support definition. See also General Tab, Members Tab, Loadings Tab, Combinations Tab, and Notes Tab.

Support Type | Support types may be horizontal (X), vertical (Y), torsional (T), rotation about X axis (Rx), rotation about Y axis (Ry), or a combination of the above. The X and Y directions correspond to the horizontal and vertical axes in the cross section. Rotational supports are only allowed at the left-most or right-most ends of the members. A flexural hinge may also be defined for bending about the X axis (Hx) or the Y axis (Hy). To add a support or hinge, enter its type in the blank row after the last support.
Location | The global longitudinal position of the support (vertical position for columns).
Bearing | The length of bearing in the longitudinal direction (width of the support).
Fastened | Indicates whether the bearing flange is fastened to the support. This can affect the web-crippling strength at the support. To change between Yes and No, press F2 or a letter key, or double-click.
K | The effective length factor to use in the span between this support and the next support of this type. If X, Y, and T supports are at the same location with different effective length factors, you may define them separately. Note that horizontal (X) supports define Ky for buckling about the Y axis, and vertical (Y) supports define Kx for buckling about the X axis. If the section cantilevers beyond the last support, CFS uses K=2.1 on the cantilevered length, unless the entered K value is larger. You may model a continuously supported span by entering a factor of K=0. Loads applied in the direction of a continuously supported span will be ignored, and the continuously supported span will have no shear, moment, or deflection in that direction.


Analysis Inputs - Loadings Tab

This window is displayed when you create a new analysis or open an existing analysis. It is displayed as a floating window separate from the main application window. Closing this window will not close the analysis itself and will not lose any information about the analysis. To redisplay this window (when an analysis is open), select Analysis Inputs from the View menu, or press F4.

This tab contains inputs for the loads in the analysis. Loads may be grouped into different types of loadings (dead, live, etc.). The grid displays the loads for one loading at a time. Each row in the grid defines one load. See also General Tab, Members Tab, Supports Tab, Combinations Tab, and Notes Tab.

Loading | The name associated with the loading. This name may be changed to any name not already used. To view the loads for a different loading, select its name from the list. There is always one more entry in the list than there are loadings currently defined. To add a loading, select the last entry in the list and optionally rename it. You may delete a loading by deleting its name and pressing Enter.
Load Type | Select either Distributed, Concentrated, Axial, or Moment. Distributed and concentrated loads are applied transverse to the member, whereas axial loads are applied longitudinally.
Load Angle | The angle of the load with respect to the cross section coordinate system. For distributed and concentrated loads, an angle of 0 is horizontal to the right, and an angle of 90 degrees is vertically upward. For a concentrated moment, an angle of 0 is a moment about the X axis, and an angle of 90 degrees is a moment about the Y axis. Load angle is not applicable to axial loads.
Start Location | The global longitudinal position of the start of a distributed or axial load, or the single position of a concentrated load or moment. Since loads are global (as opposed to local member loads), they may span across multiple supports and multiple members. The start and end locations of an axial load represent the point of application and the point of restraint.
End Location | For distributed and axial loads, the global longitudinal position of the end of the load. Not applicable to concentrated loads or moments.
Start Magnitude | The magnitude of the load at the start location. For distributed loads, this is a force per unit length. For concentrated and axial loads, this is a force. For moments, this is an applied moment.
End Magnitude | The magnitude of the load at the end location. For distributed loads, this is a force per unit length. For axial loads, this is a force, and must be equal to the start magnitude. Not applicable for concentrated loads or moments.
Width | For concentrated loads, the width of the load is the length of bearing in the longitudinal direction. Not applicable for other types of loads.


Analysis Inputs - Combinations Tab

This window is displayed when you create a new analysis or open an existing analysis. It is displayed as a floating window separate from the main application window. Closing this window will not close the analysis itself and will not lose any information about the analysis. To redisplay this window (when an analysis is open), select Analysis Inputs from the View menu, or press F4.

This tab contains inputs for the load combinations to analyze. A load combination is a set of loadings with corresponding load factors. The grid displays the loadings and factors for one combination at a time. You may define several load combinations, but you may only analyze one combination at a time. See also General Tab, Members Tab, Supports Tab, Loadings Tab, and Notes Tab.

Combination | The name associated with the load combination. This name may be changed to any name not already used. To view the loadings and load factors for a different combination, select its name from the list. There is always one more entry in the list than there are combinations currently defined. To add a combination, select the last entry in the list and optionally rename it. You may delete a combination by deleting its name and pressing Enter.
Use Inflection Point Bracing | Check this box if you want the analysis to treat inflection points as brace points for the current load combination.
Specification | Choose the design specification to be used with the current load combination. If the load combination uses unfactored loads, select an ASD specification. If the load combination uses factored loads, select an LRFD or LSD specification. If a load combination should not be used in strength checks (member checks or web-crippling checks), select "Deflection Only" as the Specification.
For All Strength Combinations | Check this box to force all load combinations to use the same Specification selection.
Loading | The name of the loading to include in the current combination. This drop-down list contains all of the loadings currently defined in the analysis, plus member self weight. The self weight loading is a distributed load in the negative Y direction, based on each members’ cross section area and a density of 0.2833 lb/in³. To add a loading to the combination, enter its name in the blank row after the last loading in the combination. To add a loading that does not yet exist, you must first create it on the loadings tab.
Load Factor | The multiplier to apply to all the loads in the loading. This may be positive or negative.


Analysis Inputs - Notes Tab

This window is displayed when you create a new analysis or open an existing analysis. It is displayed as a floating window separate from the main application window. Closing this window will not close the analysis itself and will not lose any information about the analysis. To redisplay this window (when an analysis is open), select Analysis Inputs from the View menu, or press F4.

This tab contains inputs for the load combinations to analyze. A load combination is a set of loadings with corresponding load factors. The grid displays the loadings and factors for one combination at a time. You may define several load combinations, but you may only analyze one combination at a time. See also General Tab, Members Tab, Supports Tab, Loadings Tab, and Combinations Tab.

The text box on this tab can be used to enter any descriptive information about the analysis. This information is included in the printout of the analysis inputs, and is saved with the analysis file.


Analysis Diagrams

The Diagrams window is displayed when you select Diagrams from the Compute menu (only available for an analysis). This window shows diagrams for reactions, shears, moments, and deflections for the current load combination. The magnitudes of the reactions and the peak values of shear, moment, and deflection are labeled on the diagrams. You can move the mouse pointer along the length of a diagram to display the magnitude at any location.

Combination | The current load combination is selected by default. You may choose a different load combination or the Envelope of all load combinations. The Envelope is displayed as shaded regions representing the minimum and maximum values along the length.
Direction | You may choose to display diagrams for vertical (Y) direction, horizontal (X) direction, or Torsion. For more details, see Torsion Diagrams.

If the selected load combination and direction does not include any transverse loads, there are no diagrams to display.

Deflections are determined using full section properties and factored loads. To determine service load deflections, create a load combination that includes the service loads. Use a load factor of 1 for each loading if the section is fully effective. Otherwise use the ratio Ix/Ixe as the load factor or as a multiplier on the deflection values, where Ixe is the effective moment of inertia at the service load.

Lapped members are assumed to provide full continuity. The bending stiffness at a lap uses the sum of the full moments of inertia of the lapped members.

The Print button will print the currently displayed diagrams. This printout is formatted for standard 8½x11 inch paper in portrait orientation.Other sizes and orientations should work, but may result in less effective use of the paper or illegible diagrams.

The Copy Image button will copy the diagrams display image to the clipboard, which may then be pasted into another application.

The Report button will produce a text version of the peak values on the diagrams. See Diagrams Report.


Torsion Analysis

If the Torsion option is chosen on the General tab of the Analysis Inputs window, transverse loads (distributed and concentrated) produce torque on the members based on the eccentricity of the loads relative to the shear center. The members are restrained by the torsional supports defined in the analysis.

Torsional Loads

By default, a section containing one part has its Centroid located at the Origin. And by default, transverse loads are applied at the Origin. So the torsion arm (a) is simply –xo for vertical loads.

To specify a different load point, enter the eccentricities ex and ey on the Members tab of the Analysis Inputs window. If the section Centroid is not located at the Origin, or the load is not applied at the Origin, the torsion arm (a) is calculated as shown here for the general case.

T | Applied torsional load = P·a
P | Applied transverse load; for gravity load, P is negative (down)
a | Torsion arm; for vertical loads, a = ex – xcg – xo
ex, ey | Eccentricity of the Load Point relative to the section Origin (input)
xcg, ycg | Location of the section Centroid relative to the section Origin (input)
xo, yo | Location of the Shear Center relative to the section Centroid (calculated)

If two or more beams overlap, the torsion arm is determined as a weighted average based on the relative torsional stiffness of the members. For beam self-weight, the load is applied at the centroid so the torsion arm is –xo. If transverse loads are not vertical, the horizontal component of the loads use the Y offset between load point and shear center, which may increase or decrease the applied torque.

Note: if the analysis involves both axial and torsional loads at different load points on the member, run the analysis twice: 1) with torsion without axial loads, and 2) with axial loads without torsion.

Reactions to transverse loads at translational supports could apply torque to the member. These supports (X or Y) typically include a twisting restraint (T), for which the torque is determined as a torsional reaction. If the support does not include a twisting restraint, the support force is assumed to act at the shear center, and therefore does not impart any torque on the member.

Concentrated moments, if applied with an offset from the shear center, will produce concentrated bimoments. Likewise, axial loads which are offset from the centroid will produce concentrated moments, which in turn may produce concentrated bimoments.

Torsional Supports

The applied torque and the resulting twist of the member is primarily restrained by twisting (T) supports. But other support types influence the torsional behavior as well. Here is a summary of the supports and their torsional restraint.

T | Twisting restrained, warping free (torsionally pinned)
RxRy | Flexural rotation fixed about both X and Y axes; this also restrains warping (twisting free)
TRxRy | Twisting and warping restrained (torsionally fixed)
Hx or Hy | Hinge supports release flexural rotation about X or Y axis; either hinge releases warping
T with K=0 | Segment fully braced against twisting, no twisting or torsional stresses occur
Braced Flange | For members defined with a continuously braced flange, no twisting or torsional stresses occur

Note: a continuously braced flange can significantly reduce torsional stresses, but does not typically eliminate them. The CFS assumption that a braced flange restrains torsion could be unconservative. A more rigorous analysis may be required to accurately determine the torsional stresses for this case.

Torsion Analysis

The solution to a torsion problem may involve three different cases: warping only (GJ<<ECw/L²), pure torsion only (ECw/L²<<GJ), and combined warping and pure torsion. Analyses with different sections could involve all three in the same solution. Equilibrium is ensured using the following assumptions:

  • Twist angle is continuous from one member to another
  • Warping torque and pure torque transfer from one member to another
  • Bimoment transfers from one member to another

Where a member crosses a twisting restraint (T support), the angle of twist is zero, a reaction torque occurs at the restraint, and continuity is maintained for the first and second derivative of the twisting displacement curve. A section with no warping is a special case where this continuity is not required and does not occur.

If two or more members overlap, the combined torsional stiffness components (GJ and ECw) are the sum of the stiffness components for each lapped member. This assumes the members rotate together by the same twist angle, but with no composite action (no torsional shear transfer between members). For member checks at locations with two or more members, the bimoment applied to each member is proportioned using the relative warping stiffnesses (ECw).

Warping continuity (bimoment and warping displacement) is maintained where the same cross-section is continuous. If the analysis members abruptly switch from one section to another, warping continuity is not maintained.

See also Torsion Diagrams and Torsion Design.


Torsion Diagrams

When you display analysis diagrams for reactions, shears, moments, and deflections, you may choose the option to display torsion diagrams. A similar set of diagrams is displayed for reactions, torques, bimoments, and twist. The reactions are the torques applied to the member at twisting restraints (T supports). You can move the mouse pointer along the length of a diagram to display the magnitude at any location.

The Torque diagram shows the stress resultant (T) from internal torsional shear stresses (CCW positive). The gradient (slope) of the torque diagram corresponds to the distributed torsional load applied to the member. The torque value at any location is the sum of the torques for warping torsion and pure (St. Venant) torsion. The torque for pure torsion alone (Tsv) is plotted in gray. The torque for warping torsion (Tw) is the difference between the curves.

T = Tw + Tsv = ECwϕ''' – GJϕ'

The Bimoment diagram shows the stress resultant (B) from internal longitudinal stresses. For a C section with a vertical web, a positive bimoment causes tension in the upper-right and lower-left quadrants of the section (where Wn<0), and causes compression in the upper-left and lower-right quadrants of the section (where Wn>0).

B = ECwϕ''

Warping continuity (bimoment and warping displacement) is maintained where the same cross-section is continuous. If the analysis members abruptly switch from one section to another, warping continuity is not maintained.

The twist diagram shows the angle of twist of the members (CCW positive). The following illustrations show the sign conventions used by CFS.

The Print button will print the currently displayed diagrams. This printout is formatted for standard 8½x11 inch paper in portrait orientation.Other sizes and orientations should work, but may result in less effective use of the paper or illegible diagrams.

The Copy Image button will copy the diagrams display image to the clipboard, which may then be pasted into another application.

The Report button will produce a text version of the peak values on the diagrams. See Torsion Diagrams Report.

See also Torsion Analysis and Torsion Design.


Torsion Design

Torsion applied to a member produces internal stresses which may contribute to certain failure modes. The stresses are identified as pure (St. Venant) torsion shear stress (τsv), warping shear stress (τw), and warping longitudinal stress (σw).

τsv = Tsvt/J = –Gtϕ' for open sections

τsv = Tsv/2Amt = –2Gϕ'Am/Sm for closed sections

τw = TwSw/Cwt = ESwϕ'''/t

σw = BWn/Cw = EWnϕ''

See also Torsion Properties.

The AISI Specification has design provisions for combined bending and torsion, where longitudinal stresses from torsion may reduce the flexural strength of the member. If a member check includes a torsional bimoment (B), a moment reduction is calculated using the ratio of the maximum bending stress to the maximum combined bending and warping stress.

The available bimoment strength shown on the member check report is the magnitude of B at which the maximum longitudinal warping stress is equal to the yield stress (Fy), with the appropriate safety or resistance factor applied. If the section contains more than one part, the nominal bimoment strength (Bn) is approximated as the sum of the individual part bimoment strengths, and the maximum warping stress is calculated as FyB/Bn. This is conservative because: 1) the bimoment strength should be greater than the sum of the parts, 2) the maximum stresses for warping and bending may not occur at the same location with the same sign, and 3) no strength increase is considered based on the controlling location (i.e., flange/web junction).

If the section has an override value for Cw, CFS has no information about the expected warping behavior of the section and is not able to calculate the bimoment strength. Therefore CFS cannot check combined bending and torsion for that case.

See also Torsion Analysis and Torsion Diagrams.


Working with Reports

Reports are created by performing computations (see also Properties, Strength, Member Check, Web Crippling, Torsion Properties, and Diagrams Report). All computations are displayed in a temporary window that allows you to browse the output. If you want to hold this output in a report window for subsequent saving or printing, select the OK button (or press Enter). Otherwise select the Cancel button (or press Esc).

Outputs from different sections or analyses will automatically result in separate report windows. However, report windows may contain output from several different computations for the same section or analysis. As long as the inputs for the section or analysis have not changed between computations, selecting OK will append the original report with the current output. If changes were made, a new report window will be created, even if a previous report window exists for the same section or analysis.

The contents of a report cannot be edited. However, you may select portions of the report and copy it to the clipboard using the Copy command on the Edit menu, or pressing Ctrl-C. Once on the clipboard, you may paste it into another application such as WordPad.

Once a report is created, it may be printed by selecting Print from the File menu. If you print the inputs for the associated section or analysis at the same time as the report, these printouts may combine to conserve paper. They share the same heading information.

A report may be saved with its associated section or analysis. When you save a section or analysis and there is an associated report window, they are saved together. When you open that file later, the report window will be redisplayed.

If you change any inputs to the section or analysis after creating a report, that report loses its association with the section or analysis, and cannot be saved. Also, a report cannot be saved by itself, separate from a section or analysis.


Properties Report

The Properties report is created when you select Properties from the Compute menu (only available for sections). This report includes full and net section properties in accordance with conventional methods of structural design. These properties are computed using mathematically rigorous derivations, including integration through the bend radius segments and across the material thickness. The calculations for torsional properties use exact integrations for thin-walled sections that incorporate the bend radius segments as well.

The symbols used in this and other reports are defined in Symbols and Abbreviations. The "Flat" dimension is the width of the pre-formed sheet assuming no stretching or thinning of the material at the bends. For sections with multiple parts, this is the sum of the flat widths. The "Height" and "Width" dimensions are the overall height and width of the entire section.

For sections containing more than one part, and any of the parts do not have a principal axis on the principal axis of the section, the location of the shear center (x₀ and y₀) is an approximation. The torsional warping constant (Cw) and St. Venant torsion constant (J) are computed as the sum of the Cw and J values for the individual parts. Element connectivity between parts tends to change these properties. In such cases, you should manually determine and enter an override in the Section Inputs window. These overrides are then shown in this report instead of the values computed by CFS.


Effective Properties

When you select Effective Properties from the Compute menu, a dialog window is displayed to enter internal forces. These forces are used in calculating the effective section properties. The greater the compression stress, the less effective the section becomes.

After you enter the appropriate values, press the OK button and the corresponding effective section properties output will be displayed. These calculations use the AISI provisions for servicability determination. For the Direct Strength Method (DSM) both local buckling and distortional buckling are evaluated in determining the effective section properties.

P/Pn | Ratio of axial force to nominal axial strength based on a fully braced condition. A positive value indicates compression, and the ratio is based on the nominal compression strength. A negative value indicates tension, and the ratio is based on the nominal tension strength.
Mx/Mxn | Ratio of applied moment about the X axis to the nominal moment strength based on a fully braced condition. A positive value indicates compression above the X axis.
My/Myn | Ratio of applied moment about the Y axis to the nominal moment strength based on a fully braced condition. A positive value indicates compression to the right of the Y axis.
P | Axial force applied to the section. Positive loads are compression and negative loads are tension.
Mx | Moment about the X axis applied to the section. Positive moments produce compression above the X axis.
My | Moment about the Y axis applied to the section. Positive moments produce compression to the right of the Y axis.


Strength Report

The Strength report is created when you select Strength from the Compute menu (only available for sections). If ASD is selected on the Compute menu, this report includes strengths for the Allowable Stress Design method. If LRFD is selected on the Compute menu, this report includes design strengths for the Load and Resistance Factor Design method. The strength values in this report are for the fully braced case. In other words, axial and bending strengths are based on the initiation of yielding.

This report includes strengths for compression, tension, shear, bending, and torsional bimoment. A positive moment about the X axis has compression above the X axis. A positive moment about the Y axis has compression to the right of the Y axis. For a C section with a vertical web, a positive bimoment causes tension in the upper-right and lower-left quadrants of the section, and causes compression in the upper-left and lower-right quadrants of the section.

The compression and bending strengths are accompanied by the effective section properties used in determining the nominal strength of the section, where the maximum stress is the yield stress. The effective widths of elements are determined in accordance with the AISI Specification for carbon steel, and the ASCE Specification for stainless steel (see Element Behavior).

If the section has any holes, the effective properties are computed based on the net section. This is done because fully braced failure will occur at the weakest point in the member.

The yield stress used for each strength type is increased to the appropriate calculated value if you choose to apply strength increase from cold work of forming in the Section Inputs window, and the section meets the other specification criteria necessary to use the increase.

Since CFS allows you to specify radii of different sizes, it uses a generalized form of the AISI calculation for the strength increase: Fya = (SAcFyc + SAfFy)/(SAc+SAf), where Ac and Fyc are the area and the tensile yield point of each corner, and Af is the area of each flat, disregarding any holes. For axial loads, the summations apply to all elements. For bending loads, the summations apply to flats at the extreme fiber of the full section parallel to the axis of bending, and the adjacent corners. If there are no flats along the extreme fiber, no strength increase is used. For carbon steel, any bend with R/t>7 or angle of bend (exterior angle) <60° does not get a strength increase (Fyc=Fy). The details of the cold work of forming increase can be obtained using the Trace option.

Since the strength increase applies only when the compression elements are compact enough, each strength type (tension, compression, +Mx, -Mx, +My, and -My) is independently checked to determine whether the strength increase is allowed. Since fully braced strengths are computed using the net section, the strength increase will only apply if both the full section and the net section are fully effective with the extreme fiber at Fya.

The strength increase from inelastic reserve cannot use the strength increase from cold work of forming. If both options are selected, CFS will compute both and report the higher strength. The ASCE specification for stainless steel also contains inelastic reserve provisions for axial tension and compression, however CFS does not utilize these provisions.

There is an unusual case for the lateral buckling strength calculation (not computed in this report), where the moment causing initial yield at the extreme compression fiber of the full section is calculated. This could result in a tension stress greater than Fy and a compression stress greater than otherwise calculated. Since this situation might not be fully effective, whereas it might have been with the extreme tension fiber at Fy, this special case requires the additional check for a fully effective full section.

It is important to note that since CFS allows the definition of any general shape, the assumptions made by CFS for determining these strengths may not always be appropriate. It is the responsibility of the engineer to evaluate these assumptions and determine the validity of the results.


Member Check Parameters

This window is displayed when you select Member Check from the Compute menu, and the active window is a section. After you enter the appropriate values, press the OK button and the Member Check output will be displayed.

Unbraced Lengths

Lx, Ly, Lt | The unbraced lengths of the member for buckling about the X axis (in the Y direction), buckling about the Y axis (in the X direction), and torsional buckling, respectively. For lateral-torsional buckling of beams symmetrical about the X axis and bending about the X axis, Ly and Lt are the controlling unbraced lengths.
Kx, Ky, Kt | The effective length factors applied to the respective unbraced lengths. A value of 0 indicates a fully braced condition, where internal forces resulting from loads in that direction are set to 0.
Lm | The distance along the length of the member between discrete rigid restraints that restrict distortional buckling. If there are no discrete restraints for distortional buckling, leave this as a large value (such as the span length) and CFS will calculate the distortional buckling wavelength. If the member is fully restricted against distortional buckling, use Lm = 0. If the shape does not have a distortional buckling failure mode, the value of Lm has no effect. In cases where rotational stiffness is provided to the braced flange by connection to sheathing, Lm does not represent the spacing between fasteners. It is the distance between rigid restraints against distortional buckling, if they exist.

Coefficients

Cbx, Cby | The bending coefficients used to determine the elastic critical moments for the member about the X axis and Y axis, respectively. The value is dependent on the moment gradient throughout the unbraced length. You may conservatively use the default value of 1. For bending about a non-symmetric axis, you must enter the reciprocal of CTF as the value of Cb, which may also be conservatively set to 1.
Cmx, Cmy | The moment coefficients used in the combined compressive axial load and bending interaction equation, for moments about the X axis and Y axis, respectively. You may conservatively use the default value of 1.
Braced Flange | For members having one flange fastened to deck, sheathing, roof system, or other continually connected system, select the flange that is attached: Bottom, Top, Left, or Right. Otherwise, select None.
Reduction Factor, R | If there is a braced flange, enter the moment reduction factor as defined in the AISI or ASCE Specification for your situation. For example: R=0.70 for continuous span Z sections R=0.60 for continuous span C sections R=0.70 for simple span C or Z section, depth £ 6.5" R=0.65 for simple span C or Z section, 6.5" < depth £ 8.5" R=0.50 for simple span Z section, 8.5" < depth £ 12" R=0.40 for simple span C section, 8.5" < depth £ 12"
Stiffness, kf | The rotational stiffness provided to the braced flange by connection to the bracing material (deck, sheathing, etc.). This stiffness is incorporated in the distortional buckling calculations for the flange which is braced (bottom, top, left, or right). The units for this input are moment/radian/unit length (such as k-in/rad/in) which is then reduced to a force (such as k). Refer to the AISI Specification and Commentary for more information on determining what value to use.
Mx and My include P-δ effects | Choosing this option will prevent moment amplifiers from being applied due to axial compression load.

Internal Forces

P | The axial force (factored for LRFD) applied to the section. Positive loads are compression and negative loads are tension.
ex, ey | The axial load eccentricity in the X and Y direction, measured from the origin of the section. Positive ex is horizontal to the right of the origin and positive ey is vertically above the origin. The combination of the axial load and these eccentricities produces additional bending moment if the unbraced length is greater than zero.
Mx | The moment (factored for LRFD) about the X axis applied to the section. Positive moments produce compression above the X axis.
Vy | The shear force (factored for LRFD) in the Y direction applied to the section. This generally accompanies a moment about the X axis.
My | The moment (factored for LRFD) about the Y axis applied to the section. Positive moments produce compression to the right of the Y axis.
Vx | The shear force (factored for LRFD) in the X direction applied to the section. This generally accompanies a moment about the Y axis.
B | The torsional bimoment (factored for LRFD) applied to the section. The sign of the bimoment is very important when combined with bending. For a C section with a vertical web, a positive bimoment causes tension in the upper-right and lower-left quadrants of the section, and causes compression in the upper-left and lower-right quadrants of the section.


Locations to Check

This window is displayed when you select Member Check or Web Crippling from the Compute menu, and the active window is an analysis. It offers three options on which design checks to include in the report:

Report controlling location among all load combinations

This option will check all critical locations (as described below) for every load combination, and report only the one with the highest unity check value. It will also change the current load combination to the one that controlled.

Report controlling location for EACH load combinations

This option will check all critical locations (as described below) for every load combination, and report the one with the highest unity check value for each load combination.

Report controlling location for THIS load combination

This option will check all critical locations (as described below) for the current load combination, and report only the one with the highest unity check value.

Report selected locations for THIS load combination

This option lets you select which locations to check and include in the report. It provides a list of critical locations from which to choose. For member checks, you may also specify any other location in the analysis to check.

Locations | For member checks, this list includes locations of shear and moment minima and maxima, brace points, and support points. For web crippling checks, it includes locations of each load carrying support and each concentrated load. If a particular location could have different results on each side of the location (due to a difference in shear, unbraced length, axial load, or end of a member), then the entry will indicate left side or right side (or upper/lower side for vertical members). You may select as many of these locations as you want.
Check All Button | You may quickly select all the locations in the list by pressing the Check All button. Then the button will change to Uncheck All, which you may use to deselect all the locations.
Add Button | The list of locations may not necessarily contain all controlling locations. For example, if the unbraced length varies significantly within a member span, the maximum forces may not occur within the controlling unbraced length. To add a different location to the list, enter it here and press the Add button. This will add it to the list and select it. If the location could have different results on each side of the entered location, the entry will indicate left side or right side.


Member Check Report

The Member Check report is created when you choose Member Check from the Compute menu. For sections, you must enter the member check parameters and loads. For an analysis, you must select the member locations to perform the check(s).

This report consists of a summary of the parameters, the loads (total or entered, applied, and strength), and the interaction equations for combined axial and bending, and combined bending and shear.

For section member checks, 'Applied' loads are the same as the 'Entered' loads except additional moments will occur with axial load eccentricities, measured from the point of application to the centroid of the effective section. For the 2016 and later editions of AISI, moment amplifiers for P-δ effects are incorporated into the 'Applied' loads for beam-columns, unless Mx and My were specified as already including the P-δ effects. Additionally, angle sections might have an extra moment of PL/1000 applied as required by the Specification.

For analysis member checks, `Total' loads are those determined from the analysis force and moment distribution, and are applied to all members that exist at the location being checked. 'Applied' loads are the portions of the 'Total' loads seen by the member being checked. For axial loads, this is proportioned by the full section area. For bending and shear loads, this is proportioned by the full section moment of inertia. These loads may also include adjustments for eccentricities, as stated above for section member checks.

The 'Strength' values are the design strengths for the section computed according to the selected specification. Global column buckling and lateral-torsional buckling stresses are calculated using elastic theory if that option is chosen.

The interaction equations for combined axial load and bending and combined bending and shear are shown. Note that the combined bending and shear equation is for unreinforced webs. If torsion is included in the member check, a separate unity check is shown. For biaxial bending or non-symmetric sections, CFS uses a rational extension of the provisions as described in the AISI Commentary. See also Torsion Design.

If the section is built-up from two or more parts and the direction of applied shear causes shear flow between parts, the magnitude of shear flow is summarized. For three or more parts, the shear flow for each part is shown which is the total shear flow for all the connections between that part and the other parts, and the sum of these shear flows for all parts is zero.


Web Crippling Parameters

This window is displayed when you select Web Crippling from the Compute menu, and the active window is a section. After you enter the appropriate values, press the OK button and the Web Crippling output will be displayed.

Load Applied To | This is the surface of the section that the concentrated load or reaction is applied to. Select from Bottom Flange, Top Flange, Left Flange, Right Flange.
Concentrated Load or Reaction | The magnitude (factored for LRFD) of the load applied to the flange.
Moment at Point of Load | The moment (factored for LRFD) in the member about the axis of bending under consideration. If the load is applied to the top or bottom flange, this moment should be the moment about the X axis. If the load is applied to the left or right flange, this moment should be the moment about the Y axis.
Bearing Length | Actual length of bearing for the applied load or reaction.
Flange fastened to support | Indicates whether the bearing flange is fastened to the support. This can affect the web crippling strength.
Distance from edge of bearing to end of member | The distance along the member from the edge of bearing to the end of the member. If the bearing is close to the end of the member, the web crippling strength is lower.
Distance from edge of bearing to edge of opposite load | The distance along the member from the edge of bearing to the edge of a load applied to the opposite flange of the member. If an opposing load is near this load, the web crippling strength could be lower. If there is not an opposing concentrated load, then enter a distance of several times the member depth.


Web Crippling Report

The Web Crippling Check report is created when you choose Web Crippling from the Compute menu. For sections, you must enter the web crippling parameters and loads. For an analysis, you must select the member locations to perform the check(s).

This report consists of a summary of the web crippling parameters and loads, web crippling strength computations, and the appropriate interaction equation(s). For an analysis with multiple members at the specified location, the bearing load and bending moment on each member is proportional to its moment of inertia about the axis of bending.

The web crippling strength of the section is determined by summing the strengths of all the web elements. If other elements in the section lie between a web element's bearing flange and the bearing surface, that web element will be excluded from the strength summation.

The appropriate web crippling equation from the selected specification is determined for each web. The following abbreviations are used in classifying the type of calculation performed for each element:

FS FU US UU | Fastened, Stiffened flange Fastened, Unstiffened flange Unfastened, Stiffened flange Unfastened, Unstiffened flange
EOF ETF IOF ITF | End-One-Flange loading End-Two-Flange loading Interior-One-Flange loading Interior-Two-Flange loading

If any parameters exceed the limits imposed by the selected specification (R/t, h/t, N/t, N/h, etc.), those limits are noted for each web element checked.

For web elements that do not have a bearing flange, the same equations are used with a zero bend radius. For web elements with holes, the hole is assumed to be positioned longitudinally at the edge of bearing. Although the hole provisions apply to C-sections with centered web holes, CFS uses the same calculations for other conditions.

If the bearing flange is not perpendicular to the direction of loading, the strength in the direction of loading is determined by dividing the strength by the cosine of the angle between the flange and the surface perpendicular to the direction of loading. This assumes that the component parallel to the flange is resisted by an adequate connection.

If any of the web element strengths listed should not be considered, be sure to subtract it from the section strength. This might occur if the support does not contact all of the assumed bearing flanges.


Diagrams Report

This report is created when you click the Report button on the Diagrams window. It contains the maximum shears, moments, and deflections for the current load combination, or for the envelope of all load combinations if selected on the Diagrams window. Inflection points are also shown if the report is not for the envelope solution.

This output can be appended to an analysis report containing other analysis outputs, such as member checks and web crippling checks. See Working With Reports.


Torsion Properties Report

The Torsion Properties report is created when you select Torsion Properties from the Compute menu (only available for sections with one part). This report contains key properties at several locations in the section which may be used to calculate torsional stresses. These properties include:

Ro | Perpendicular distance from shear center to centerline of element
Wn | Normalized unit warping, used for warping longitudinal stress
Sw | Warping statical moment, used for warping shear stress

The locations reported include both ends of each flat element of the section, edges of holes, and the location of the peak value of Sw in each flat element, where Wn is equal to 0. The shear center location (xo, yo), warping constant (Cw) and St. Venant torsion constant (J) are also included for convenience.

Warping longitudinal stresses can be calculated for any location in the section as EWnϕ'', where E is the modulus of elasticity and ϕ'' is second derivative of the twisting displacement function with respect to the distance along the member.

Warping shear stress can be calculated for any location in the section as ESwϕ'''/t, where t is the material thickness and ϕ''' is the third derivative of the twisting displacement function with respect to the distance along the member.

Pure torsional shear stress can be calculated as Gtϕ', where G is the shear modulus and ϕ' is the first derivative of the twisting displacement function with respect to the distance along the member.


Torsion Diagrams Report

This report is created when you click the Report button on the Diagrams window while displaying the torsion diagrams. It contains the maximum torques, bimoments, and twist for the current load combination, or for the envelope of all load combinations if selected on the Diagrams window.

For a single load combination, this report includes the torsional loads applied to the members. These loads are calculated from the applied transverse and axial loads as follows:

  • Distributed loads produce distributed torques
  • Concentrated loads produce concentrated torques
  • Concentrated moments produce concentrated bimoments
  • Axial loads with eccentricity produce concentrated bimoments

The magnitude of the torisonal load is equal to the magnitude of the transverse load times the torsion arm (see Torsion Analysis). If two or more members overlap, the torsion arm is a weighted average using the relative stiffness of the members. If a concentrated bimoment occurs on a member exhibiting pure torsion only, the result is an abrupt change in angle of twist equal to B/GJ radians.

This output can be appended to an analysis report containing other analysis outputs, such as member checks and web crippling checks. See Working With Reports.


File Menu

The following commands are available on the File menu:

New Section | See Section Wizard.
New Analysis | See Analysis Wizard. You must have at least one section open before you can create a new analysis.
Quick Design | See Quick Design.
Open | Displays a dialog window for choosing an existing file to open. There are three types of files available to CFS: section (cfss), section library (cfsl), and analysis (cfsa). If you choose a section library file, an additional window will be displayed for you to select the section you want from within the library (see Open Library Section).
Recent Files | See Recent Files.
Import DXF | See Import DXF.
Save | Saves the information associated with the current window to a file of the assigned name. If the current window is a section or analysis with an associated report window, the report will be saved in the file as well. When an analysis is saved, all the unsaved sections used as members in the analysis will also be saved. If the current window is a report, or a section or analysis that has not yet been saved, the Save As command will be performed.
Save As | Saves the information associated with the current window to a file, allowing you to specify a new file name or file type. If the current window is a section, you may save it to a DXF file to transfer the geometry to a CAD application. If the current window is a report, you can save the contents of the report to a Word Document (.doc) file or a Rich Text Format (.rtf) file.
Close | Closes the current window.
Report Inputs | Displays a report window containing a summary of the inputs for the current section or analysis. This is the same content included in the printout for section inputs or analysis inputs, except for the graphic representation. You may include this in a consolidated report for printing or saving. See also Working With Reports.
Print | See Print.
Exit | Terminates the application. If there are any unsaved changes, you will be prompted for saving prior to the program terminating.


Quick Design

This window is displayed when you choose Quick Design from the File menu. The CFS Quick Design tool allows you to quickly check or optimize a design for a variety of common members and loadings.

Section | A series of selections are used to define the section to check or optimize. The nomenclature corresponds to the product designation defined by the North American Standard for Cold-Formed Steel Framing (S201-12): web depth, section type, flange width, thickness, and configuration. The flange width and thickness designations may be set to a wildcard (?) which will then be optimized for the strength requirements.
 | The configuration options are Single, Back-to-Back, and Boxed. For Back-to-Back and Boxed configurations, the connector spacing used in the design checks is assumed to be twice the web depth.
Fy | The section material yield strength used for design calculations. This may be set to a wildcard (?) which will then be optimized for the strength requirements.
Punched | Indicates whether the design check is performed for a member with web holes. The hole width, length, and spacing correspond to the AISI Standard S201-17.
Cold work of forming | Indicates whether to calculate and apply the strength increase from cold work of forming.
Inelastic Reserve | Indicates whether to calculate and apply the inelastic reserve strength.
Beams/Columns | Indicates whether the members are designed as beams or columns.
Span | The span length, which is used for major axis bending.
Spans | The number of identical spans, up to 3.
Bracing | Indicates the type of bracing between vertical supports: None, Mid-Point, Third-Points, Quarter-Points, or Fully Braced. This will create horizontal (X) and torsional (T) supports at the specified intervals. These brace points will restrain all flanges against twisting and lateral movement.
Spacing | The center-to-center spacing of the beams or columns to be checked. The loads are multiplied by the spacing to obtain the individual member loads.
Dead Load | Gravity load due to the weight of construction materials and permanent equipment, stated in force per unit area for beams, and force per unit length (axial wall load) for columns.
Live Load | Gravity load due to intended use and occupancy, stated in force per unit area for beams, and force per unit length (axial wall load) for columns. This may include roof life load or other loads which are not dead loads.
Wind Load or Uplift | Transverse load due to wind, stated in force per unit area. For beams, this is an uplift force as is commonly applied to roof members.
Axial/Bending | The controlling unity check result for combined axial and bending interaction. It is displayed after the calculation is completed.
Shear/Bending | The controlling unity check result for combined shear and bending interaction. It is displayed after the calculation is completed.
Calculate | Runs the design check calculations using the current Specification setting. Load combinations from ASCE 7-22 or NBCC 2020 are used as applicable. Whenever a wildcard (?) is chosen for flange, thickness, and/or Fy, this calculation cycles through all the combinations and shows the optimum selections and the corresponding unity check results.
 | The optimum is chosen as the lightest weight section meeting both unity checks. If no combination meets the design requirements, the optimum is chosen as the combination with the lowest unity checks. Some combinations may not represent readily available shapes (as indicated by SFIA or SSMA), and are therefore omitted in the optimization. Torsion is not considered in the analysis or design.
Report | For completed calculations, the Report button summarizes the design check in a report window. There is only one report window for Quick Design, so subsequent checks will be added to the same report. This report may be printed and saved.
Create Analysis | For completed calculations, the Create Analysis button converts the design check to a full CFS analysis, and the corresponding CFS section. This is useful for customizing the geometry or loads, and for other design checks such as web-crippling.
Close | Closes the Quick Design window.


Open Library Section

When you select Open from the File menu and then select a section library (cfsl) file, the Open Library Section window appears. A section library is a collection of section files organized by section type. CFS includes libraries of some manufacturers' products and some industry standard shapes (SSMA, LGSI, HUD, AISI). These libraries are installed in a folder called CFS Files under Documents.

In this window, first select the section type you want to use. Then in the section list, select the name of the section you want to open and press the Open button. Once a library section is opened, you may work with it like any other section. You may edit the section and perform computations. The only difference is you cannot save it back to the library, but you can save it as its own section file.

If you are not familiar with the terminology used for the section types or the section names, contact the source shown at the top of the window for further information. To create a library created for your own use, or for distribution to other CFS users, refer to Library Builder on the Tools menu.


Recent Files

When you select Recent Files from the File menu, the Recent Files window is displayed. This window contains a list of the latest files you have used. These files may be section files, library file sections, or analysis files. Simply select the file you want to re-open and press the Open button.

Note: Library file sections are shown with the path and file name of the section library file, followed by the pipe symbol (|), section type, backslash (\) and the section name.


Import DXF

When you select Import DXF from the File menu, you may import section geometry from a DXF file created by a CAD application.

  • Each part is defined by a continuous 2D Polyline at the Centerline of the material
  • It may be a general polyline or a lightweight polyline (LWPolyline)
  • The vertices of the polyline identify coordinates on the Centerline of the part
  • The Width of the polyline defines the thickness of the part
  • A closed polyline defines a closed CFS part
  • If geometry is not in inches, the units must be specified in the DXF file

Polyline Requirements:

  • The segments should alternate line, arc, line, arc, etc. (exceptions are allowed)
  • The Polyline vertices must lie in the XY plane (Z=0)
  • The Polyline Width must be greater than 0 and constant throughout the polyline
  • The Polyline Width cannot exceed 1 inch (25.4 mm)
  • Element lengths cannot exceed 100 inches (2540 mm)
  • Radii cannot exceed 10 inches (254 mm)
  • Arc segments must be less than 180 degrees
  • The polyline cannot exceed the CFS limit of 254 elements
  • Example DXF file: 400S162-54

Tips

  • Create the polyline initially with straight line segments (square corners). Then use the Fillet command to insert the bend radii.
  • Specify a constant width for the entire polyline, rather than setting the widths at each vertex.

CFS automatically centers the section at the origin. Material properties and web elements must still be specified after the import. For sections with multiple parts, you may also need to override J and Cw, and define the connector spacing.


Print

This window is displayed by selecting Print from the File menu. It is not available if there are no windows currently open. A list of all available items to print are displayed, based on the currently open files and generated reports. You may select any or all of the outputs in the list. Entries that share the same heading information are positioned adjacent to each other in this list. If you select multiple entries that share the same heading information, these printouts may combine to conserve paper.

Heading Button This button displays the Heading Tab of the Options window. This allows you to make changes to heading information prior to printing. Note however that you cannot change the user name at this point since it wouldn’t affect headings for current reports. It only affects headings for subsequently edited sections or analyses.


Edit Menu

This menu provides several ways to edit sections and analyses. Refer to the following topics:

Undo and Redo

Cut, Copy, and Paste

Copy Image

Insert and Delete

Rotate and Mirror

Center Section

Complete Part Symmetry

Insert Ribs


Undo and Redo

The Undo command on the Edit menu or toolbar will undo the last change you made to the current section or analysis. CFS keeps track of the last 10 changes made to each open section and analysis, so you can undo multiple changes.

The Redo command on the Edit menu or toolbar is available after you use Undo with the current section or analysis. This will redo the most recent Undo change, and can be used repeatedly back the first Undo made.


Cut, Copy, and Paste

These commands on the Edit menu apply primarily to rows of grid inputs: elements, members, supports, loads, and load factors.

The Cut command (Ctrl-X) removes the selected row or rows from the grid, and copies them to the clipboard. This allows you to later paste them back into the same grid. The Copy command (Ctrl-C) also copies the selected row or rows to the clipboard, but does not remove them from the grid.

For the elements grid, if you select all the rows in the grid (including the blank row at the bottom for open shapes), the Copy command will copy all of the inputs for the part (thickness, position, etc.) along with the elements themselves to the clipboard. The Cut command will do the same thing, plus remove the entire part from the section. The clipboard part may then be pasted into different section as an additional part, instead of being pasted in as additional elements to the current part.

Similarly, Cut and Copy in the loads grid and load factors grid operate on the entire loading and entire load combination respectively, if you select all the rows including the blank row at the bottom.

The Paste command (Ctrl-V) inserts the copied row or rows into the grid at the current cell pointer location. If more than one row is selected when you paste, the selected rows are removed when the copied rows are inserted. If the current grid is for different inputs than those copied to the clipboard, you cannot paste into it. If the clipboard contains an entire part, loading, or load combination, it will be pasted as a new entry at the end of the list.

Since section elements, analysis members, and analysis supports may be selected in the graphic, you may perform the Cut, Copy, and Paste commands without using the grid in the inputs window.

In addition to the grid inputs, you may use cut, copy, and paste in text inputs with the shortcut keys Ctrl-X, Ctrl-C, and Ctrl-V.


Copy Image

The Copy Image command on the Edit menu is available when the active window is either the Section Window or Analysis Window. This will copy the current display image to the clipboard, which may then be pasted into another application.


Insert and Delete

The Delete command on the Edit menu apply to rows of grid inputs: elements, members, supports, loads, and load factors. It removes the selected row or rows from the grid. If all the elements of a part are selected, plus the blank row at the bottom for an open shape, the Delete command will delete the part and its elements. If all the loads in a loading are selected, plus the blank row at the bottom, the Delete command will delete the loading and its loads. If all the load factors in a load combination are selected, plus the blank row at the bottom, the Delete command will delete the load combination and its load factors.

The Delete command performs a special operation when you select elements that comprise a rib or ribs (see Insert Ribs). CFS recognizes when the preceding and succeeding elements are collinear, and rejoins them into one element after the selected elements are removed.

Since section elements, analysis members, and analysis supports may be selected in the graphic, you may perform the Delete command without using the grid in the inputs window.

The Insert command on the Edit menu applies only to the elements grid, because it is the only grid for which row position has significance. It inserts a row at the current cell pointer location. If several rows are selected, the same number of rows are inserted at the position of the first selected row. The inserted row or rows will be copies of the first row that was selected.


Rotate and Mirror

These commands on the Edit menu apply to sections and parts within sections. If the current section contains only one part, the Rotate-Part command is the same as the Rotate-Section command, and the Mirror-Part command is the same as the Mirror-Section command.

The Rotate command rotates the current part or entire section about the origin. A positive angle rotates counter-clockwise. If any computations have been performed prior to rotating a section, the default rotation angle is the negative of the angle of the major axis (a). Alternatively, you may choose Principal Axes from the Rotate menu.

The Mirror command mirrors the current part or entire section. The mirror angle you specify defines a line through the origin about which the part or section is flipped. For example, a 90 degree mirror angle flips left and right, and a 0 degree mirror angle flips top and bottom.

If the rotate or mirror transformation is orthogonal, the placement references to the edges of parts will be adjusted accordingly. Otherwise, the placement references will be set to the center of gravity.


Center Section

This command on the Edit menu is an easy way to shift the position of all of the parts in the section so the centroid of the section is at the origin. For built-up sections, it is sometimes easier to position the parts relative to a particular edge rather than the centroid. But since axial loads are applied at the origin, it is often necessary to shift the part locations so the centroid is located at the origin. This way axial loads are applied at the centroid, and the axial eccentricity will be limited to that caused by a shift in the effective section centroid, or by eccentricities manually entered as member check parameters or analysis inputs.


Complete Part Symmetry

This command on the Edit menu is an easy way to generate elements for the second half of a symmetrical part. If you are creating a custom shape that has an axis of symmetry, enter the elements up to and including the middle element. At this point, the Complete Part Symmetry command will copy each of the elements (except the middle element) in reverse order as mirrored elements. The middle element indicates the direction of the mirrored image. It is perpendicular to the axis of symmetry.


Insert Ribs

This command on the Edit menu is an easy way for you to define the geometry of ribs to add to the currently selected element of a part. This command is not available if more than one element is selected.

The Insert Ribs window is displayed with the following inputs:

Type of Rib | There are two types of ribs that you may insert, both of which consist of three elements and may have sloping sides. The first type uses the part’s default radius for all bends, and the second type adjusts the rib width to accommodate the inside bend radius you specify so there is not flat width at the top of the rib.
Side of Element | If the selected element is more horizontal than vertical, you may choose to place the ribs above or below it. If the selected element is more vertical than horizontal, you may choose to place the ribs to the left or right of it.
Rib Height | The height of the rib from the selected element. If the part uses centerline dimensioning, this height is from the centerline of the element to the centerline of the top of the rib. Otherwise, the it is the overall height of the rib.
Rib Side Angle | The angle of the side elements of the rib relative to the selected element.
Rib Top Width | The length of the middle element at the top of the rib. Applies only to the first type of rib.
Inside Radius, R | The inside radius at the middle of the rib. Applies only to the second type of rib.
Number of Ribs | You may insert several ribs on the same element. They are always inserted evenly spaced.


View Menu

This menu controls visibility of various windows and options.

Toolbar | Displays and hides the CFS toolbar.
Input Windows on Top | If this option is unchecked, the input windows (when open) will be displayed on top of the main application window when active, and behind the main application window when not active. In either case, the input windows may be moved outside the boundaries of the main application window. They may also be closed and re-opened at any time.
Section Inputs | Displays the Section Inputs window.
Analysis Inputs | Displays the Analysis Input window.
Render Members | Option to illustrate member shapes in the Analysis Window.
X-Y Axes | Option to display the X-Y axes in the Section Window and Analysis Window.


Compute Menu

This menu contains commands for performing computations and generating output for reports.

Properties | For sections, computes and displays full and net section properties. Not available for analyses. See Properties Report.
Effective Properties | For sections, you are prompted for the load magnitudes used to calculate effective section properties. Not available for analyses. See Effective Properties.
Strength | For sections, computes and displays the strength of a fully braced member for tension, compression, bending about X and Y axes, and shear. Not available for analyses. See Strength Report.
Member Check | For sections, you are prompted for member parameters and loads, and subsequently the member check computations are displayed. For an analysis, you are prompted for the locations to perform member checks, and subsequently the member check computations are displayed.
Web Crippling | For sections, you are prompted for web crippling parameters and loads, and subsequently the web crippling computations are displayed. For an analysis, you are prompted for the locations to perform web crippling checks, and subsequently the web crippling computations are displayed.
Torsion Properties | For sections with one part, you may compute detailed torsion properties of the shape. For each element in the part, the values Ro, Wn, and Sw are reported at the start and end, as well as any minima or maxima for Sw. This report also provides the resulting computed values for shear center and torsion constants.
Elastic Buckling | For sections with one part, you may perform a finite element elastic buckling analysis. See Elastic Buckling Parameters.
Diagrams | For an analysis, you may display and print shear, moment, and deflection diagrams for the current load combination, for either the X or Y direction. See Analysis Diagrams.


Tools Menu

This menu provides access to application settings.

Specification | This menu allows you to select which design specification to use in performing strength calculations. For ASD choices, loads should be entered as their nominal values (not factored). For LRFD and LSD choices, loads should be entered as their factored values. For stainless steel members, all ASD choices will use the ASD calculations from ASCE 8-22, and all LRFD and LSD choices will use the LRFD calculations from ASCE 8-22.
Global Buckling | Choose Spec Equations or Elastic Theory. Most of the global buckling equations in the AISI Specification are based on elastic theory. But special cases exist for unequal unbraced lengths and non-symmetric sections, where more rigorous elastic theory could predict a higher buckling stress. For AISI Specification editions prior to 2016, using elastic theory may be treated as a rational analysis with more conservative safety and resistance factors. The elastic global buckling provisions in the 2022 edition of the AISI Specification are equivalent to the elastic theory option.
Include Trace | Choose Strength, Member Check, Web Crippling, Effective Section, Cold Work Stresses, or All to include a trace of the detailed calculations in each report, with references to the AISI or ASCE equation numbers. This can be useful for comparison to hand calculations and to satisfy code officials.
Options | A number of application options are available, and are organized into the following tabs: Units, Material, Thicknesses, Heading, and Combinations.
License | See License Types.
Library Builder | The Library Builder is a tool for making your own section libraries.


Options - Units Tab

This window is displayed by selecting Options from the Tools menu. If you make changes to any units, all inputs will automatically change to the new units, however existing reports will not be affected. The units for moments and distributed loads are derived from the your selections for length and force units.

System of Units | A list of predefined sets of default unit types: U.S. and Metric. If you change an individual unit type, the system of units will be displayed as Custom.
Section | The length unit used for the section geometry and other small dimensions.
Length | The length unit used for beam spans and other large dimensions.
Angle | The angle unit used for element angles and other angles in the plane of the cross section.
Force | The force unit used for applied loads and load strengths.
Stress | The force per unit area unit used for material strengths and modulus of elasticity.
Moment | The moment unit used for applied moments and moment strengths.


Options - Material Tab

This window is displayed by selecting Options from the Tools menu. If you change the default material or any of its parameters, these changes will be applied as defaults for any newly created sections. This does not affect any existing sections.

Material Type | The designation for the default material type. When you select a different material, the yield strength and tensile strength inputs are updated to the defaults for that material. For carbon steels, these may then be changed if necessary. You may view detailed information about the material and customize it for use on any existing section by pressing the ‘…’ button next to the material type. (see Custom Carbon Steel or Custom Stainless Steel)
Apply cold work of forming strength increase | Indicates whether to calculate and apply the strength increase from cold work of forming. If the inleastic reserve option is also checked, the strength increase from cold work of forming is not permiited, but CFS will calculate and report the higher strength of the two options.
Apply inelastic reserve strength increase | Indicates whether to calculate and apply the inelastic reserve strength. If the cold work of forming option is also checked, the inelastic reserve strength is not permiited, but CFS will calculate and report the higher strength of the two options.
Yield Strength | The section material yield strength used for design calculations. For stainless steel materials, this represents the longitudinal compression yield strength and is not editable.
Tensile Strength | The section material longitudinal ultimate tensile strength. For stainless steel materials, this is not editable.


Options - Thicknesses Tab

This window is displayed by selecting Options from the Tools menu. If you change any of these values, all currently open sections have their part thickness names updated if necessary. The actual part thickness values and radii for existing sections do not get changed. The current row is marked with the ‘>>’ pointer, and identifies the default thickness for any newly created parts and sections.

Name | A name used to readily identify a particular design thickness and corresponding default bend radius.
Thickness | The design thickness associated with the thickness name.
Inside Radius | The default inside bend radius used for new elements on the part.

The Reset button will replace the currently defined thicknesses with the program defaults, which are based on AISI S201-17.


Options - Heading Tab

This window is displayed by selecting Options from the Tools menu. This information is included in the heading of all printouts.

User Name | The user name to be assigned to any section or analysis that is edited. The heading of all printouts shows the user name of the person who last edited the file, which might be this user name or someone else.
Company | The company or organization to include in the heading of all printouts.
Address | Two lines of company address to include in the heading of all printouts.
E-mail | The e-mail address to include in the heading of all printouts.
Phone | The phone number to include in the heading of all printouts.
Fax | The fax number to include in the heading of all printouts.


Options - Combinations Tab

This window is displayed by selecting Options from the Tools menu. When you create a new analysis, you can choose from several sets of commonly used load combinations. This window allows you to create and save your own custom load combinations for use in new analyses.

Custom Combination | The name associated with the load combination. This name may be changed to any name not already used. To view the load factors for a different combination, select its name from the list. There is always one more entry in the list than there are combinations currently defined. To add a combination, select the last entry in the list and optionally rename it. You may delete a combination by deleting its name and pressing Enter.
Specification | Choose the design specification to be used with the current load combination. If the load combination uses unfactored loads, select an ASD specification. If the load combination uses factored loads, select an LRFD or LSD specification.
Load Factor | The multiplier to apply to all the loads in the loading. The loadings listed are predefined based on the loading types available in the Analysis Wizard.


Library Builder

The Library Builder is accessed from the Tools menu. This utility allows you to create your own section libraries, just like the ones provided with CFS. Section libraries are a convenient way to store and share common sections, and prevent them from being modified.

To create a library of sections, you need to first create each of the individual section files to include, and organize them in a directory (folder) structure as shown below.

Any Folder
Library Folder
Section Type 1 Folder
Section Type 2 Folder
Section Type 3 Folder

All the sections must be in one of the Section Type sub-folders of the Library Folder. The name you use for the library folder will become the name of the generated library file. The names you use for each of the section type folders will become the section type names stored within the section library. You may have any number of sections in each type, and any number of types in the library. But you must have at least one section in one sub-folder of the library folder.

To use the library builder, enter the path to the library directory, or click on the Browse button to select the directory. Complete the Company and Address fields with whatever information you feel is pertinent to the library. Then click on the Build button to create the library. The library file will be located in the same directory as the library folder (not in the library folder). It will have the .cfsl file extension, and is ready to be opened by CFS.


Windows Menu

The following commands are available on the Windows menu:

Cascade | Arranges all the CFS windows starting in the upper left corner working down and to the right.
Tile Horizontal | Arranges all the CFS windows in horizontal rows so they are all visible and equal in size.
Tile Vertical | Arranges all the CFS windows in vertical columns so they are all visible and equal in size.
Arrange Icons | Organizes minimized windows neatly at the bottom of the CFS window.
Close All | Closes all windows, except for the main CFS window.
Window List | All CFS windows are listed here. To switch to any of these windows, simply select it from the list.


License Types

The CFS software is available to use under three license types: Free License (light mode), Single User License, and Network License.

Free License

After accepting the license agreement and installing the software, CFS will initially use the free license. This license allows you to use the software in "light mode". There are limitations on features and functionality available to you when using the free license. You may purchase a single user license or a network license at any time to upgrade the software to a full license with all the features and functionality enabled.

Single User License

The single user license provides the full functionality of the CFS software. This is an annual subscription which is activated on a specific machine for a specific user. This type of license cannot be used with remote desktop access (terminal services). See Single User License for more information.

Network License

The network license provides the full functionality of the CFS software. This is an annual subscription which allows sharing a license over your network. See Network License for more information.

CFS Automation Module

Both the Single User License and the Network License are available to purchase with the optional CFS Automation Module. These license types enable use of the CFS module for automating CFS calculations in your own software or spreadsheets.

License Purchase

To purchase a license, visit the RSG Software website or go directly to the product catalog on the License Portal.

License Renewal

Your annual license subscription will renew automatically using the credit card information associated with the license. You will receive a notification prior to this automatic payment. Make sure your license information is up to date, otherwise your license may not get renewed. If you are using a legacy Standalone license which is about to expire, you must purchase a new Single User License instead of a renewal.


Single User License

This license is an annual subscription for a single user on a specific computer. If you need to modify your computer (reformat, upgrade Windows, change hardware, etc.) you can deactivate the license, then activate it again after the system changes are made. You can also move the license to a new computer by deactivating and reactivating (see License Activation).

Choose Single User License from the Tools menu to display information about the status of the license. Here you can activate or refresh the license.

Activate License | After purchasing a single user license, you will receive an email with your license ID and activation password. Click on the Activate License button to complete the license implementation. For more details, see License Activation.
Deactivate License | If you have an active single user license and you need to move the license to a different computer, you must deactivate the license first. Then the license will be available to activate on the other computer. For more details, see License Activation.
Refresh License | After renewing a single user license subscription, click on Refresh License to pick up the new expiration date. CFS will periodically refresh by itself, so you may not need to use the Refresh License button.


Network License

This license is an annual subscription for a company to share over a network. The number of network licenses purchased corresponds to the number of concurrent users permitted to use the full CFS license.

For details on setting up a network license, refer to CFS Network License Instructions

Licensing System

Licenses are activated on your local network accessible to the users at your company. A network share folder is used to host the license file. You must create this folder on a Windows server or computer and give all users permission to read, write, and delete files in that folder. This should be on a machine that is available at all times.

The licensing system uses network semaphore file-locking in the license folder to manage active users. This may be accessed over a wide-area network (WAN) or through a virtual private network (VPN), although performance may be affected.

You may backup the contents of the license folder. If it gets lost, or the license files are deleted, you can deactivate the license, then activate it again (see License Activation).

License Settings

Choose Network License Settings from the Tools menu to display information about the status of the license. The initial setup of the license is managed here, and individual users can join the license pool.

Company | All users of a network license must use the same company name. This company name appears on CFS outputs, so enter the name as you would like it to appear.
Share folder | Specify the name of the share folder established for your network license. This must be identified using a UNC Path (e.g., \\Server\Share\Folder), which is not an alias or DFS path.
Acquire License | If the license has already been activated from a different computer, you may enter the correct Company name and Share folder, then click on Acquire License to join the pool. This can be automated by an administrator for all users (see below). In the rare instance where you need to release the license and revert to "light mode", press Ctrl-Shift-R.
View Usage Log | The license folder contains the CFSLicense.log file which records all the license usage activity such as acquiring and releasing licenses. This can be helpful to determine who is currently using a license if none are currently available.

Administration

These administration functions are used for the initial setup of the license.

Activate License | After purchasing a network license, you will receive an email with your license ID and activation password. Click on the Activate License button to complete the license implementation. For more details, see License Activation.
Deactivate License | If you have an active network license and you need to move the license to a different server or folder, you must deactivate the license first. Then the license will be available to activate using the new location. For more details, see License Activation.
Refresh License | After renewing a network license subscription, click on Refresh License to pick up the new expiration date. CFS will periodically refresh by itself, so you may not need to use the Refresh License button.
Automate Clients | All users must have the exact same settings for Company name and Share folder. The Automate Clients button provides the registry entries for these settings, which can then be distributed to the users. Once the registry data is imported into their registry user settings, the CFS license will automatically be configured for them.


License Activation

Activation validates your license and installs a license file onto your system. After you purchase a license, you will receive an email with the license ID and activation password. You may also login to the License Portal using your account name and password to get this license information. For details on setting up a network license, refer to CFS Network License Instructions

Enter the License ID and Activation Password in the Single User License form or the Network License Settings, after clicking the Activate License button. The activation process needs to connect to https://secure.softwarekey.com. You can test with this URL to make sure you can connect and get an "OK" response. If your IT staff has locked-down communication to the Internet, you will need to have them open the communication to this web site in order for the CFS license to work properly. License activation also requires Windows 7 or later. Earlier versions of Windows may encounter problems with secure network communication.

After the license is activated, CFS does not need a continuous connection to the Internet. But CFS will periodically validate the license using the same Internet site, so you will need to be connected some of the time you use CFS.

Changing Computers (single user license)

If you need to move your single user license to a different computer, or you need to modify your computer (reformat, upgrade Windows, change hardware, etc.) you must deactivate the license then reactivate it on the other/modified computer. This feature is not intended for license sharing, but to support the infrequent computer upgrades or changes.

Changing License Folder (network license)

If you need to move your network license to a different server or folder, you must deactivate the license then reactivate it using the new license folder location.

Deactivation

To deactivate a license, choose Single User License or Network License Settings from the Tools menu in CFS. If the license is active, you can click the Deactivate License buttton. Each license has a limited number of deactivations, so only use this process when necessary.

For a network license, only the license administrator should deactivate the license as it removes the license for all users.

If the license is no longer available, you will need to deactivate using the License Portal. From the list of licenses shown, choose the license to deactivate and click the Manage Installations button. For the Active installation, click the (x) button to deactivate it. If this button is not shown, there are no remaining deactivations. If you still need to deactivate, contact RSG Software and provide the License ID you need to deactivate.


License Problems

System Changes

Licenses are machine-locked. If your machine is renamed, hardware is changed, or operating system is upgraded, an installed license may become broken. Similarly, renaming a network license folder or server name will break a network license. To prevent issues, deactivate the license before making major changes. If they are broken, you will need to manually deactivate and then reactivate your license.

No Activations Remaining

You will need to deactivate your license before you can activate it on a different computer or network share. If you are unable deactivate the license using CFS, you can manually deactivate it using the License Portal. See License Activation for more details.

If you cannot activate, please double-check your license ID and activation password in the License Portal. Check to see if you have any activations remaining for your license.

Deactivation Failed

There are a limited number of deactivations for a license, provided to help you deal with hardware changes or machine failures. If you run out of deactivations, more will be provided when your license subscription is renewed. If you need another deactivation before then, contact RSG Software and provide the License ID you need to deactivate.

No Network Licenses Available

If all network licenses are in use, CFS will run in light mode. If you need to determine who is using a network license, there is a log file in the network share folder called CFSLicense.log. Entries at the end of the log file will indicate the latest activity with acquiring and releasing licenses.

If a user disconnected from the network before closing CFS, or if CFS was terminated abnormally, an orphaned license semaphore file (CFSsema00?.net) may remain. The operating system will eventually close these files so they can be deleted. But if necessary, you can manually close an open file using Computer Management as an administrator on the server:

Choose System Tools — Shared Folders — Open Files — CFSsema00?.net — Close Open File

Deleting License Files

Should you encounter unusual errors, or corrupted files, you may need to manually delete them. For a single user license, you will find the license file in this (hidden) folder. Turn on the display of hidden folders or type the path into Windows Explorer:

C:\Users\<Login-Name>\AppData\Local\RSG Software\CFS

You can safely delete the CFS license file. You will then need to manually deactivate and reactivate the license.

Cannot Connect to SoftwareKey.com

If activation fails, it could be due to some blocking of ports or communication with the licensing server. You can test this with the following URL in your browser: https://secure.softwarekey.com.


RSG SOFTWARE END USER LICENSE AGREEMENT

This RSG Software End User License Agreement ("License Agreement") is a legal agreement between you or the entity you represent ("you" or "your") and RSG Software, Inc. ("RSG", "us", "we", or "our") regarding your use of the CFS software and related files ("Software").

Please read this License Agreement carefully before installing or using the Software and the end user documentation. The Software and end user documentation are copyrighted and licensed and not sold. By installing or using the Software, you are accepting and agreeing to the terms of this License Agreement. If you do not have the authority to bind the person or entity which will use the Software, do not install the Software or accept and agree to the terms of this License Agreement without obtaining approval from a person having such authority. If you are not willing to be bound by the terms of this License Agreement, you should promptly and permanently remove from your system and render inaccessible the Software and the end user documentation. This License Agreement supersedes any and all license agreements governing any licenses of the Software previously granted by us to you and any such license agreements are hereby amended and modified to conform to the terms and conditions of this License Agreement.

1. LICENSE GRANT

We grant to you a limited, non-exclusive, non-sublicensable, and non-transferrable license to use the Software in the original, unmodified, machine-readable, object code form only, as delivered by us, including all upgrades, enhancements, updates, and new version releases that we may provide to you and the accompanying end user documentation only as authorized in this License Agreement and for the purposes contemplated by the end user documentation.

2. LICENSED RIGHTS

(a) Free License. You may use the Software without purchasing a Software license. The Free License allows you to use the Software in "light" mode. There are limitations on features and functionality available to you when you use the Software with a Free License. You may purchase a Single User License or a Network License at any time to upgrade the Software to a full license with all features and functionality in the Software enabled.

(b) Single User License.

(1) Installation and Restrictions. If you purchase a Single User License, the Software will be restricted to the computer and user name for which the license is activated. Single User Licenses are not permitted to be used on virtual servers or other "thin client" computer configurations. Reformatting your computer s hard drive or changing hardware components will require deactivation and reactivation of your license.

(2) Term. Single User Licenses are purchased as a one-year subscription. Your License will expire at the end of one year, and you may purchase a license renewal for another year.

(c) Network License.

(1) Use. If you purchase a Network License, the Software may be installed on multiple computers and the license may be shared by multiple users. The number of Network Licenses purchased is the maximum number of concurrent users permitted. Your Network License usage will be managed by the file system on a shared network folder. An end user must close the Software before another end user may use the Network License and Software.

(2) Term. Licenses are purchased as a one-year subscription. Your License will expire at the end of one year, and you may purchase a license renewal for another year.

(3) Restrictions. Network Licenses may only be used by end users employed by the company that purchased the license and only by employees located in the same country as the license server. Changes to your network environment or shared network folder location will require deactivation and reactivation of your license.

3. RESTRICTIONS ON USE AND TRANSFER

(a) Copies. You may retain installers and executables for the Software for backup purposes only. You may not copy or distribute the end user documentation or supplemental files for any reason. You may print online documentation for your personal use. Any such copies of the Software or the end user documentation must include our copyright, trademark, and other proprietary notices. Under no circumstance are you or any person under your authority or control permitted to use the Software or end user documentation or to make or use any copies thereof in excess of the rights provided to you in this License Agreement.

(b) Assignment of Rights. You will not voluntarily or involuntarily, in any form or manner, assign, transfer, or pledge the Software, end user documentation, or other rights under this License Agreement to any other person or entity, including any assignment or transfer incident to your merger or consolidation with another entity, or any assignment or transfer by operation of law, without our prior written consent. You will not sublicense, lease, network, rent, loan, distribute or share your license to the Software, end user documentation, or other rights under this License Agreement with any other person or entity. You may not use the Software or end user documentation to provide hosted services or to operate a service bureau. You may not publish, disclose, or otherwise display in writing, electronically, or otherwise any part of the Software, end user documentation or such other rights without our prior written consent in each such instance. Any such assignment, sublicense, transfer, pledge, lease, network, rental, loan, or sharing of your license, or any other rights under this License Agreement, absent our prior written consent will be void and of no force or effect and, as will any such publication, disclosure, or display, will cause the immediate termination of this License Agreement and your license and rights under this License Agreement.

(c) Modifications. You will not reverse engineer, decompile, disassemble, re-engineer, reverse assemble, reverse compile, or otherwise translate or create, attempt to create or permit, allow or assist any third party to reverse engineer, decompile, disassemble, re-engineer, reverse assemble, reverse compile, or otherwise translate or create the source code of the Software or its structural framework. You will not modify, enhance, or create derivative works based upon the Software in whole or in part, including any derivative works based upon the database structures of the Software, nor will you otherwise change the Software, or any of the foregoing without our prior written consent in each such instance, which consent may be withheld or conditioned within our sole discretion. You agree that any modification, enhancement, derivative work, or other improvement to the Software and the end user documentation developed by us, you, your employees, or independent contractors, whether with or without our consent, advice, or support, will be our exclusive property and you hereby assign to us all such rights, title, and interest therein and agree to make such further assignments and take any other affirmative actions we request to further manifest such assignment. Any such modified, enhanced, or derivative versions of the Software and end user documentation will not constitute software or user documentation different from the Software and the end user documentation, and, as such, will be subject to and governed under the terms and conditions of this License Agreement.

(d) Concurrent Use. The Software may not be used concurrently on more than one computer unless you have purchased Software licenses that allow concurrent use.

(e) Computer Equipment. The Software may only be used on a computer that you own, lease, or otherwise control.

4. INTELLECTUAL PROPERTY AND OWNERSHIP

(a) Intellectual Property. We reserve all right, title, and interest in all intellectual property arising out of, related to, or in connection with the Software and end user documentation that are not expressly granted under this Agreement. You acknowledge that you have no right or authority to use this intellectual property except as specifically granted in this License Agreement. You may not alter, obscure, or remove any proprietary notice of RSG, or any other party, from any copy of the Software, including any end user documentation, corresponding documentation, associated media, printed materials, and online or electronic documentation.

(b) Ownership. The Software and end user documentation, including any modifications, revisions, enhancements, or derivative works are our proprietary products protected under law. This License Agreement does not convey to you an ownership interest in or to the Software or the end user documentation, but only a limited right of use in accordance with this License Agreement, which right may be terminated in accordance with the terms of this License Agreement.

5. OBLIGATIONS OF THE PARTIES

(a) Your Obligations. You have the sole responsibility for acquiring, installing, and maintaining the technology environment and equipment necessary to properly access, operate, and utilize the Software. You are responsible for selecting and training adequate personnel with the requisite experience necessary to operate your systems and who are familiar with your records associated with the Software. You will establish adequate operational back-up systems and procedures to ensure recovery and continuity of your data, systems, and operations in the event of a failure. You will be solely responsible for the security and confidentiality of any username, password, and license key granted to you to access the Software. You are solely responsible for any authorized or unauthorized access to the Software using such username, password, and license key and any actions taken thereunder. You will limit use and access to the Software solely to persons whose duties require such use and access and will undertake best efforts to ensure that our Confidential Information and intellectual property are kept secure. You will use your best efforts to ensure that your authorized users protect the same against unauthorized use, dissemination, or disclosure. You will have the sole responsibility for maintaining the privacy, integrity, and security of your data.

(b) Our Obligations. We will use reasonable efforts to correct verifiable and reproducible errors in the Software that you report to us. An "error" is any failure of the Software to function in substantial conformity with the applicable end user documentation we provide with the Software. We may correct errors by making revisions to programming or by providing reasonable "work-around" solutions. We reserve the right to modify any end user documentation if the end user documentation, in our sole determination, incorrectly describes the Software functions and may do so in order to resolve an error. We retain sole discretion to determine whether and when to make new releases available and the terms on which they will be made available to you. We will only provide technical support to you if you have a paid up and current Single User License or Network License. Support is provided by email but we may contact you by telephone at our discretion.

6. LICENSE FEES

The license fees you paid to us for the Software are paid in consideration of the license granted under this License Agreement.

7. LIMITED WARRANTY

We warrant that Software licensed under a purchased Single User License or Network License will perform substantially in accordance with the accompanying end user documentation for a period of 90 days from the date of purchase. This limited warranty will be void if you are in breach of any of the restrictions or your obligations in this License Agreement. We provide no warranties of any kind, limited or otherwise, for Software licensed under a Free License.

Except for the limited warranty provided above, to the maximum extent permitted by applicable law, we disclaim and exclude all representations, warranties, and conditions, whether express, implied, or statutory, including all representations, warranties, or conditions of title, non-infringement, satisfactory condition, merchantability, suitability, and fitness for a particular purpose, with respect to the Software and end user documentation. We do not warrant that the Software and end user documentation are free from viruses, malware, or other harmful components or will be accurate, up to date, or complete or that it will meet your specific needs or requirements. We assume no liability or responsibility for any errors or omissions in the Software or end user documentation. Any data that is input into Software originates from you and is beyond our control and we will have no responsibility or liability related to the accuracy, content, currency, completeness, or delivery of the data you input into the Software or the accuracy of the information the Software provides to you as a result of the data you input into the Software. You are responsible for creating backups of your data and we assume no liability or responsibility for any loss of data or integrity thereof. We have no obligation to make repairs or offer replacements or refunds and we will not be liable or responsible for your inability to use the Software or end user documentation because of any incompatibility with your computer or server hardware, third party software or application, or any other apparatus installed in your application environment. The Software and end user documentation are provided to you "as is" and your use of the Software and end user documentation is at your sole risk.

Some jurisdictions and countries do not allow exclusion or limitation of the above warranties, so these exclusions and limitations may not apply to you.

8. LIMITATION OF LIABILITY

To the maximum extent permitted by law, in no event will we be liable to you for damages of any kind, including direct or indirect damages, loss of profits and other economic loss, special, consequential, exemplary, or incidental damages (including any loss of business, profits, revenue, goodwill, use, or data) arising out of your use or inability to use the software, even if we have been apprised of the likelihood of such damages occurring. These limitations apply to all causes of action, including causes of action arising out of termination of this License Agreement, breach of contract, breach of warranty, negligence, strict liability, misrepresentation, product liability, and any other torts. Some jurisdictions and countries do not allow exclusion or limitation of the above damages, so these exclusions and limitations may not apply to you. You may not bring an action, regardless of form, arising by reason of or in connection with this License Agreement more than 1 year after the cause of action has arisen.

Your sole and exclusive remedy for any claims related to the Software, end user documentation, or this License Agreement will be, in our sole discretion, to return to you the fees you paid for the Software license or to replace the Software that does not meet the limited warranty described in this License Agreement. Any replacement Software will have the limited warranty described above for the longer of 30 days or the remainder of the original limited warranty period. This remedy is not available outside of the United States of America.

9. INDEMNIFICATION

You agree to hold harmless, indemnify, and at our request, defend us from and against any and all claims to the extent arising out of any action or proceeding brought by a third party against us related to:

(a) Any of your acts and omissions which are a breach of any terms of this License Agreement;

(b) Your use, misuse, or failure to use the Software;

(c) Your willful misconduct and negligent acts and omissions.

10. TERM AND TERMINATION

This License Agreement is effective upon your installation of the Software and will continue until terminated in accordance with this License Agreement. You may terminate this License Agreement at any time by discontinuing all use of the Software and end user documentation, returning to us or destroying all originals and copies of the Software and end user documentation, and uninstalling and removing all installations and copies of the Software and end user documentation from your computer. We may terminate this License Agreement in the event you breach any material term of this License Agreement and such breach continues for a period of thirty (30) days following our written notice to you of such breach. In the event your breach cannot be remedied, is the result of your willful, reckless, or grossly negligent act or omission, or is a breach of Section 3 or Section 4 of this License Agreement, we may terminate this License Agreement upon our written notice to you of such breach and you will not have a cure period to remedy the breach. Your rights to use the Software and end user documentation will terminate when this License Agreement is terminated.

11. CONFIDENTIALITY

(a) Confidential Information Defined. "Confidential Information" means:

(1) All nonpublic information concerning the disclosing party s business, technology, products, services, internal structure, and strategies, specifically including, without limitation, end user documentation, end-user materials, work product, intellectual property, proposals, designs, concepts, methodologies, inventions, source or object code, developments, research, programs, databases, referral sources, customers, prospective customers, inventions, developments, "know-how," procedures, financial information, or licensing policies;

(2) Any other information clearly labeled by the disclosing party in writing as "confidential" or "proprietary" prior to its disclosure; and

(3) All such information that, by its nature, a reasonable party would consider to be confidential or proprietary.

(b) Exclusions. The following information will not be considered Confidential Information:

(1) Information which was in the public domain prior to its disclosure;

(2) Information which becomes part of the public domain by any means other than through violation of this Agreement;

(3) Information independently developed by the receiving party without reference to the disclosing party s Confidential Information; or

(4) Information received from a third party not under any obligations of confidentiality.

(c) Confidentiality and Non-Use. The receiving party will use reasonable efforts to avoid unauthorized disclosure of the disclosing party s Confidential Information. The receiving party will protect the disclosing party s Confidential Information from unauthorized disclosure by taking at least those steps that the receiving party uses to protect its own Confidential Information, but in no event less than reasonable efforts. The receiving party will not use the disclosing party s Confidential Information except for purposes of fulfilling its obligations under this License Agreement. The receiving party may disclose the disclosing party s Confidential Information to its employees, agents, service providers, and other persons who need to know such Confidential Information in connection with this License Agreement. Before doing so, the receiving party will take reasonable steps to ensure that such persons will comply with the restrictions imposed on the receiving party by this License Agreement. The obligation to protect Confidential Information will continue as long as the receiving party possesses the disclosing party s Confidential Information.

(d) Permitted Disclosure. The receiving party may disclose Confidential Information as required by law or in compliance with any court or administrative order; provided; that the receiving party gives the disclosing party reasonable notice as permitted by law that such Confidential Information is being sought by a third party in order to afford the disclosing party the opportunity to limit or prevent such disclosure.

12. MISCELLANEOUS

(a) Governing Law and Venue. This License Agreement is construed in accordance with and enforced under the laws of the State of Missouri without regard to its rules of conflict or choice of law provisions that would require the application of the laws of any other jurisdiction. The Uniform Computer Information Transactions Act does not apply to our license of the Software to you. You agree that the sole and exclusive jurisdiction and venue for any disputes related to this License Agreement and the Software will be in any court of competent jurisdiction sitting in Jackson County, MO.

(b) Partial Invalidity. If any provision of this License Agreement should for any reason be held invalid, unenforceable, or contrary to public policy, the remainder of the License Agreement will remain in full force and effect.

(c) No Exclusive Remedy. No specific remedy set forth in this License Agreement precludes us from seeking any other remedy in this License Agreement or that is available at law or equity.

(d) Force Majeure. We will not be in breach of this License Agreement because of causes beyond our reasonable control and without our fault or negligence. Those causes may include acts of God or of a public enemy, acts of the government, fires, floods, or strikes. We will give you prompt written notice of any force majeure event that affects our obligations under this License Agreement.

(e) Entire Agreement and Modification. This License Agreement constitutes the entire agreement between you and RSG with respect to the subject matter contained in this License Agreement. No amendment or modification of this License Agreement will be effective unless it is in writing and signed by a duly authorized representative of you and RSG.

(f) Waiver. No waiver, alteration, or modification of this License Agreement will be effective unless in writing and signed by you and RSG.

(g) Attorney s Fees. In the event that we retain an attorney to enforce this License Agreement, we will be entitled to recover, in addition to any other relief available at law or equity, our expenses, court costs, and reasonable attorney's fees.

(h) Further Assurances. You agree to deliver to us any additional instruments as we may reasonably request for the purpose of carrying out the terms of this License Agreement.

(i) Survival. The terms and conditions in this License Agreement that by their nature and context are intended to survive any termination or expiration of the term of this License Agreement will survive such termination or expiration of the term of this Agreement for any reason and will be fully enforceable

(j) U.S. Government Restricted Rights. The Software and end user documentation are provided with restricted rights. Use, duplication, and disclosure by the U.S. government is subject to restrictions set forth in DFARS 252.227-7013 and 48 CFR 52.227-19, as applicable.

13. CONTACT US

If you have any questions concerning this License Agreement or wish to contact us for any reason, please write: RSG Software, 2803 NW Chipman Road, Lee's Summit, MO 64081 or email support@rsgsoftware.com.

Copyright © 2023 RSG Software, Inc. All rights reserved.


Symbols and Abbreviations

A | Cross sectional area
Ae | Effective cross sectional area
AISI | American Iron and Steel Institute
Area | Cross sectional area
ASCE | American Society of Civil Engineers
ASD | Allowable Strength Design
B | Required bimoment strength
Ba | Allowable bimoment strength
ϕBn | Design bimoment strength
b/t | Ratio of flange width to thickness
Cbx | Bending coefficient dependent on moment gradient for bending about the X axis
Cby | Bending coefficient dependent on moment gradient for bending about the Y axis
Cmx | Moment coefficient in interaction formula for bending about the X axis
Cmy | Moment coefficient in interaction formula for bending about the Y axis
Cw | Torsional warping constant
D/t | Ratio of outside diameter to thickness
D/w | Ratio of lip overall depth to flange flat width
d/t | Ratio of lip flat width to thickness
d₀/b₀ | Ratio of lip outside width to flange outside width
E | Modulus of elasticity (initial modulus for stainless steel)
ex | Axial load eccentricity in the X direction, measured from the origin with positive to the right
ey | Axial load eccentricity in the Y direction, measured from the origin with positive up
Fu | Longitudinal ultimate tensile strength
Fy | Yield strength
h | Height of the flat portion of a web
h/t | Ratio of web flat width to thickness
I₁ | Moment of inertia about the major axis
I₂ | Moment of inertia about the minor axis
Ic | Polar moment of inertia about the centroid
I₀ | Polar moment of inertia about the shear center
Ix | Moment of inertia about the X axis
Ixe | Effective moment of inertia about the X axis
Ixy | Product of inertia about the X and Y axes
Iy | Moment of inertia about the Y axis
Iye | Effective moment of inertia about the Y axis
J | St. Venant torsion constant
jx | Asymmetry property for lateral-torsional buckling: (∫x³dA + ∫xy²dA)/2Iy - x₀
jy | Asymmetry property for lateral-torsional buckling: (∫y³dA + ∫yx²dA)/2Ix - y₀
KL/r | Slenderness ratio of a compressive member
Kx | Effective length factor for buckling about the X axis ( in the Y direction)
Ky | Effective length factor for buckling about the Y axis ( in the X direction)
Kt | Effective length factor for torsional buckling
k | Plate buckling coefficient
kϕ | Rotational stiffness provided to a flange by attachment to deck or sheathing
LRFD | Load and Resistance Factor Design
LSD | Limit States Design
Lm | Distance between discrete distortional buckling restraints
Lx | Unbraced length for buckling about the X axis (in the Y direction)
Ly | Unbraced length for buckling about the Y axis (in the X direction)
Lt | Unbraced length for torsional buckling
Max | Allowable moment strength about the X axis
Maxo | Allowable moment strength about the X axis, based on yielding and local buckling (fully braced)
May | Allowable moment strength about the Y axis
Mayo | Allowable moment strength about the Y axis, based on yielding and local buckling (fully braced)
ϕMnx | Design moment strength about the X axis
ϕMnxo | Design moment strength about the X axis, based on yielding and local buckling (fully braced)
ϕMny | Design moment strength about the Y axis
ϕMnyo | Design moment strength about the Y axis, based on yielding and local buckling (fully braced)
Mx | Applied moment about the X axis, positive moment has compression above the X axis
My | Applied moment about the Y axis, positive moment has compression to the right of the Y axis
N | Bearing length for web crippling check
n | Modified Ramberg-Osgood Equation coefficient, indicating the linearity of the stress-strain curve.
P | Applied compressive force
Pa | Allowable compressive strength
Pa | Allowable web crippling strength for an element, perpendicular to the bearing flange
Pao | Allowable compressive strength, based on initiation of yielding (fully braced)
Pax | Allowable web crippling strength for an element, in the X direction
Pay | Allowable web crippling strength for an element, in the Y direction
ϕPn | Design axial compressive strength
ϕPn | Design web crippling strength for an element, perpendicular to the bearing flange
ϕPno | Design axial compressive strength, based on initiation of yielding (fully braced)
ϕPnx | Design web crippling strength for an element, in the X direction
ϕPny | Design web crippling strength for an element, in the Y direction
R | Moment reduction factor for beam with braced tension flange
R/t | Ratio of inside bend radius to thickness
r₁ | Radius of gyration about the major axis
r₂ | Radius of gyration about the minor axis
rc | Polar radius of gyration about the centroid
r₀ | Polar radius of gyration about the shear center
rx | Radius of gyration about the X axis
ry | Radius of gyration about the Y axis
Sx(b) | Section modulus about the X axis for the extreme bottom fiber
Sxe(b) | Effective section modulus about the X axis for the extreme bottom fiber
Sx(t) | Section modulus about the X axis for the extreme top fiber
Sxe(t) | Effective section modulus about the X axis for the extreme top fiber
Sy(l) | Section modulus about the Y axis for the extreme left fiber
Sye(l) | Effective section modulus about the Y axis for the extreme left fiber
Sy(r) | Section modulus about the Y axis for the extreme right fiber
Sye(r) | Effective section modulus about the Y axis for the extreme right fiber
t | Design thickness of the material
Ta | Allowable tensile strength
ϕTn | Design axial tensile strength
Tsv | Internal St. Venant (pure) torque
Tw | Internal warping torque
Vax | Allowable shear strength in the horizontal direction
Vay | Allowable shear strength in the vertical direction
ϕVnx | Design shear strength in the horizontal direction
ϕVny | Design shear strength in the vertical direction
Vx | Applied shear force in the horizontal direction
Vy | Applied shear force in the vertical direction
Wt. | Weight per unit length for a section
w | Width of the flat portion of an element
w/t | Width to thickness ratio for an element
X | Horizontal axis or dimension in the plane of the cross section, positive is to the right
x₀ | Horizontal coordinate of the shear center relative to the centroid
x(l) | Horizontal distance from the centroid of the section to the extreme left fiber
x(r) | Horizontal distance from the centroid of the section to the extreme right fiber
Y | Vertical axis or dimension in the plane of the cross section, positive is up
y₀ | Vertical coordinate of the shear center relative to the centroid
y(b) | Vertical distance from the centroid of the section to the extreme bottom fiber
y(t) | Vertical distance from the centroid of the section to the extreme top fiber
Zx | Plastic section modulus about the X axis
Zy | Plastic section modulus about the Y axis
α | Angle of the major axis with respect to the X axis, counter-clockwise is positive.


Glossary

These definitions are provided from the AISI 2016 Edition of North American Specification for the Design of Cold-Formed Steel Structural Members (S100-16).

General Terms

Applicable Building Code. Building code under which the structure is designed.

Bearing. In a connection, limit state of shear forces transmitted by the mechanical fastener to the connection elements.

Bearing (Local Compressive Yielding). Limit state of local compressive yielding due to the action of a member bearing against another member or surface.

Block Shear Rupture. In a connection, limit state of tension rupture along one path and shear yielding or shear rupture along another path.

Braced Frame. Essentially vertical truss system that provides resistance to lateral loads and provides stability for the structural system.

Buckling. Limit state of sudden change in the geometry of a structure or any of its elements under a critical loading condition.

Buckling Strength. Nominal strength [resistance] for instability limit states.

Cold-Formed Steel Structural Member. Shape manufactured by press-braking blanks sheared from sheets, cut lengths of coils or plates, or by roll forming cold- or hot-rolled coils or sheets; both forming operations being performed at ambient room temperature, that is, without manifest addition of heat such as would be required for hot forming.

Confirmatory Test. Test made, when desired, on members, connections, and assemblies designed in accordance with this Specification or its specific references, or rational engineering analysis, in order to compare actual to calculated performance.

Connection. Combination of structural elements and joints used to transmit forces between two or more members.

Cross-Sectional Area:

Effective Area. Cross-sectional area calculated using the effective widths of component elements in accordance with Appendix 1. If the effective widths of all component elements, determined in accordance with Appendix 1, are equal to the actual flat widths, it equals the gross or net area, as applicable.

Full, Unreduced Area. Cross-sectional area calculated without considering local buckling in the component elements, which equals either the gross area or net area, as applicable.

Gross Area. Cross-sectional area without deductions for holes, openings, and cutouts.

Net Area. Net area, An, equal to gross area less the area of holes, openings, and cutouts.

Curtain Wall Stud. A member in a steel framed exterior wall system that transfers transverse (out-of-plane) loads and is limited to a superimposed axial load, exclusive of sheathing materials, of not more than 100 lb/ft (1460 N/m or 1.49 kg/cm), or a superimposed axial load of not more than 200 lbs (890 N or 90.7 kg) per stud.

Diaphragm. Roof, floor, or other membrane or bracing system that transfers in-plane forces to the lateral force resisting system.

Direct Analysis Method. Design method for stability that captures the effects of residual stresses and initial out-of-plumbness of members by reducing stiffness and applying notional loads in a second-order analysis.

Direct Strength Method. A design method that provides predictions of member strengths without the use of effective widths.

Distortional Buckling. A mode of buckling involving change in cross-sectional shape, excluding local buckling.

Doubly-Symmetric Section. A section symmetric about two orthogonal axes through its centroid.

Effective Design Width (Effective Width). Flat width of an element reduced for design purposes, also known simply as the effective width.

Effective Length. Length of an otherwise identical column of the same strength when analyzed with pinned end conditions.

Effective Length Factor, K. Ratio between the effective length and the unbraced length of the member.

Effective Length Method. A method of design that addresses stability through calculation of available strength [factored resistance] using the effective length factor.

Effective Width Method. A method that considers the local buckling of cold-formed steel members by reducing the gross cross-section under a non-linear stress distribution to an effective cross-section under a simplified linear stress distribution.

Factored Load. Product of a load factor and the nominal load [specified load].

Fatigue. Limit state of crack initiation and growth resulting from repeated application of live loads.

First-Order Analysis. Structural analysis in which equilibrium conditions are formulated on the undeformed structure; second-order effects are neglected.

Flange of a Section in Bending (Flange). Flat width of flange including any intermediate stiffeners plus adjoining corners.

Flat Width. Width of an element exclusive of corners measured along its plane.

Flat-Width-to-Thickness Ratio (Flat Width Ratio). Flat width of an element measured along its plane, divided by its thickness.

Flexural Buckling. Buckling mode in which a compression member deflects laterally without twist or change in cross-sectional shape.

Flexural-Torsional Buckling. Buckling mode in which a compression member bends and twists simultaneously without change in cross-sectional shape.

Girt. Horizontal structural member that supports wall panels and is primarily subjected to bending under horizontal loads, such as wind load.

In-Plane Instability. Limit state involving buckling in the plane of the frame or the member.

Instability. Limit state reached in the loading of a structural component, frame, or structure in which a slight disturbance in the loads or geometry produces large displacements.

Joint. Area where two or more ends, surfaces, or edges are attached. Categorized by type of fastener or weld used and the method of force transfer.

Lateral-Torsional Buckling. Buckling mode of a flexural member involving deflection out of the plane of bending occurring simultaneously with twist about the shear center of the cross-section.

Limit State. Condition in which a structure or component becomes unfit for service and is judged either to be no longer useful for its intended function (serviceability limit state) or to have reached its ultimate load-carrying capacity (strength [resistance] limit state).

Load. Force or other action that results from the weight of building materials, occupants and their possessions, environmental effects, differential movement, or restrained dimensional changes.

Load Effect. Forces, stresses, and deformations produced in a structural component by the applied loads.

Load Factor. A factor defined by the applicable building code to take into account the variability in loads and the analysis of their effects.

Local Bending. Limit state of large deformation of a flange under a concentrated transverse force.

Local Buckling. Limit state of buckling of a compression element where the line junctions between elements remain straight and angles between elements do not change.

Local Yielding. Yielding that occurs in a local area of an element.

Master Coil. One continuous, weld-free coil as produced by a hot mill, cold mill, metallic coating line, or paint line and identifiable by a unique coil number. In some cases, this coil is cut into smaller coils or slit into narrower coils; however, all of these smaller and/or narrower finished coils are said to have come from the same master coil if they are traceable to the original master coil number.

Moment Frame. Framing system that provides resistance to lateral loads and provides stability to the structural system primarily by shear and flexure of the framing members and their connections.

Multiple-Stiffened Element. Element stiffened between webs, or between a web and a stiffened edge, by means of intermediate stiffeners parallel to the direction of stress.

Non-symmetric Section. Section not symmetric about either an axis or a point.

Notional Load. Virtual load applied in a structural analysis to account for destabilizing effects that are not otherwise accounted for in the design provisions.

Out-of-Plane Buckling. Limit state of a beam, column, or beam-column involving lateral or lateral-torsional buckling.

Patterned hole. Repeated pattern of holes along the longitudinal axis of a member, excluding those holes in the corners of a cross-section.

Performance Test. Test made on structural members, connections, and assemblies whose performance cannot be determined in accordance with Chapters A through J and L through M of this Specification or its specific references.

Permanent Load. Load in which variations over time are rare or of small magnitude. All other loads are variable loads.

Point-Symmetric Section. Section symmetrical about a point (centroid) such as a Z-section having equal flanges.

Power-Actuated Fastener (PAF). Hardened steel fastener driven through steel members into embedment material using either powder cartridges or compressed gas as the energydriving source.

Power-Actuated Fastener Point. Portion of pointed end of PAF shank with varying diameter.

Published Specification. Requirements for a steel listed by a manufacturer, processor, producer, purchaser, or other body, which (a) are generally available in the public domain or are available to the public upon request, (b) are established before the steel is ordered, and (c) as a minimum, specify minimum mechanical properties, chemical composition limits, and, if coated sheet, coating properties.

Purlin. Horizontal structural member that supports roof deck and is primarily subjected to bending under vertical loads such as snow, wind, or dead loads.

P-d Effect. Effect of loads acting on the deflected shape of a member between joints or nodes.

P-D Effect. Effect of loads acting on the displaced location of joints or nodes in a structure. In tiered building structures, this is the effect of loads acting on the laterally displaced location of floors and roofs.

Rational Engineering Analysis. Analysis based on theory that is appropriate for the situation, any relevant test data, if available, and sound engineering judgment.

Resistance Factor, f. Factor that accounts for unavoidable deviations of the nominal strength [resistance] from the actual strength and for the manner and consequences of failure.

Rupture Strength. Strength limited by breaking or tearing of members or connecting elements.

Second-Order Analysis. Structural analysis in which equilibrium conditions are formulated on the deformed structure; second-order effects (both P-d and P-D effects, unless specified otherwise) are included.

Second-Order Effect. Effect of loads acting on the deformed configuration of a structure; includes P-d effect and P-D effect.

Service Load. Load under which serviceability limit states are evaluated.

Serviceability Limit State. Limiting condition affecting the ability of a structure to preserve its appearance, maintainability, durability, or the comfort of its occupants or function of machinery, under normal usage.

Shear Buckling. Buckling mode in which a plate element, such as the web of a beam, deforms under pure shear applied in the plane of the plate.

Shear Wall. Wall that provides resistance to lateral loads in the plane of the wall and provides stability for the structural system.

Singly-Symmetric Section. Section symmetric about only one axis through its centroid.

Specified Minimum Yield Stress. Lower limit of yield stress specified for a material as defined by ASTM.

Stability. Condition in the loading of a structural component, frame, or structure in which a slight disturbance in the loads or geometry does not produce large displacements.

Stiffened or Partially Stiffened Compression Elements. Flat compression element (i.e., a plane compression flange of a flexural member or a plane web or flange of a compression member) of which both edges parallel to the direction of stress are stiffened either by a web, flange, stiffening lip, intermediate stiffener, or the like.

Stiffness. Resistance to deformation of a member or structure, measured by the ratio of the applied force (or moment) to the corresponding displacement (or rotation).

Stress. Stress as used in this Specification means force per unit area.

Structural Analysis. Determination of load effects on members and connections based on principles of structural mechanics.

Structural Component. Member, connector, connecting element, or assemblage.

Structural Members. See the definition of Cold-Formed Steel Structural Member.

Sub-Element of a Multiple Stiffened Element. Portion of a multiple stiffened element between adjacent intermediate stiffeners, between web and intermediate stiffener, or between edge and intermediate stiffener.

Tensile Strength (of Material). Maximum tensile stress that a material is capable of sustaining as defined by ASTM.

Tension and Shear Rupture. In a bolt or other type of mechanical fastener, limit state of rupture due to simultaneous tension and shear force.

Thickness. The thickness, t, of any element or section is the base steel thickness, exclusive of coatings.

Top Arc Seam Sidelap Weld. Arc seam weld applied to the top sidelap connection.

Top Sidelap Connection. A connection formed by a vertical sheet leg (edge stiffener of deck) inside an overlapping sheet hem, or by vertical sheet legs back-to-back.

Torsional Buckling. Buckling mode in which a compression member twists about its shear center axis.

Unbraced length. Distance between braced points of a member, measured between the centers of gravity of the bracing members.

Unstiffened Compression Elements. Flat compression element stiffened at only one edge parallel to the direction of stress.

Variable Load. Load not classified as permanent load.

Virgin Steel. Steel as received from the steel producer or warehouse before being cold worked as a result of fabricating operations.

Virgin Steel Properties. Mechanical properties of virgin steel such as yield stress, tensile strength, and elongation.

Wall Diaphragm. A wall, load-bearing or non-load-bearing, designed to resist forces acting in the plane of the wall (commonly referred to as a “vertical diaphragm” or “shear wall”).

Web. In a member subjected to flexure, the portion of the section that is joined to two flanges, or that is joined to only one flange provided it crosses the neutral axis.

Web Crippling. Limit state of local failure of web plate in the immediate vicinity of a concentrated load or reaction.

Yield Moment. In a member subjected to bending, the moment at which the extreme outer fiber first attains the yield stress.

Yield Point. First stress in a material at which an increase in strain occurs without an increase in stress as defined by ASTM.

Yield Strength. Stress at which a material exhibits a specified limiting deviation from the proportionality of stress to strain as defined by ASTM.

Yield Stress. Generic term to denote either yield point or yield strength, as appropriate for the material.

Yielding. Limit state of inelastic deformation that occurs when the yield stress is reached.

Yielding (Plastic Moment). Yielding throughout the cross-section of a member as the bending moment reaches the plastic moment.

Yielding (Yield Moment). Yielding at the extreme fiber on the cross-section of a member when the bending moment reaches the yield moment.

ASD and LRFD Terms (USA and Mexico)

ASD (Allowable Strength Design). Method of proportioning structural components such that the allowable strength equals or exceeds the required strength of the component under the action of the ASD load combinations.

ASD Load Combination. Load combination in the applicable building code intended for allowable strength design (allowable stress design).

Allowable Strength. Nominal strength divided by the safety factor, Rn/W.

Available Strength. Design strength or allowable strength as appropriate.

Design Earthquake. The ground motion represented by the design response spectrum as specified in the applicable building code.

Design Load. Applied load determined in accordance with either LRFD load combinations or ASD load combinations, whichever is applicable.

Design Strength. Resistance factor multiplied by the nominal strength, fRn.

LRFD (Load and Resistance Factor Design). Method of proportioning structural components such that the design strength equals or exceeds the required strength of the component under the action of the LRFD load combinations.

LRFD Load Combination. Load combination in the applicable building code intended for strength design (Load and Resistance Factor Design).

Nominal Load. The magnitudes of the load specified by the applicable building code.

Nominal Strength. Strength of a structure or component (without the resistance factor or safety factor applied) to resist the load effects, as determined in accordance with this Specification.

Required Strength. Forces, stresses, and deformations acting on a structural component, determined by either structural analysis, for the LRFD or ASD load combinations, as appropriate, or as specified by this Specification.

Resistance. See the definition of Nominal Strength.

Risk Category. A categorization of buildings and other structures for determination of flood, wind, snow, ice, and earthquake loads based on the risk associated with unacceptable performance.

Safety Factor, W. Factor that accounts for deviations of the actual strength from the nominal strength, deviations of the actual load from the nominal load, uncertainties in the analysis that transforms the load into a load effect, and for the manner and consequences of failure.

Seismic Design Category (SDC). A classification assigned by the applicable building code to a structure based on its risk category and the severity of the design earthquake ground motion at the site.

Span Continuity. Ability of a member to develop moment over a support.

Strength Limit State. Limiting condition, in which the maximum strength of a structure or its components is reached.

LSD Terms (Canada)

Factored Resistance. Product of nominal resistance and appropriate resistance factor.

Limit States Design (LSD). A method of proportioning structural components (members, connectors, connecting elements, and assemblages) such that no applicable limit state is exceeded when the structure is subjected to all appropriate load combinations.

Nominal Resistance (Resistance). The capacity of a structure or component to resist the effects of loads, determined in accordance with this Specification using specified material strengths and dimensions.

Specified Loads. The magnitudes of the loads specified by the applicable building code, not including load factors.


Element Behavior

The effective section properties and allowable loads are computed using the AISI and ASCE specifications, as selected in the application. However, since CFS allows you to define any general shape including holes, there are some situations that are not covered by these specifications. Therefore, some assumptions have been made as described below. These assumptions are made with reasonable engineering judgment but might not always be appropriate for your design. It is the responsibility of the engineer to evaluate these assumptions and determine the validity of the results. For more information about specific effective width calculations, utilize the Trace feature to get the calculation details.

Unstiffened Elements

The first and last elements of an open part are considered unstiffened. However if the free edge is in tension, the element is considered stiffened.

If an unstiffened element contains a hole, any ineffective area exclusive of the hole is removed from the section. Thus if a hole is entirely within the ineffective portion, the element has the same capacity with or without the hole.

Partially Stiffened Elements

The second and second to last elements of an open part are considered partially stiffened, if it is entirely in compression and the adjacent edge element is treated as unstiffened. Otherwise it is treated as stiffened.

If a partially stiffened element contains a hole, the two flat portions of the element on each side of the hole are treated as unstiffened elements. Further, the plate buckling coefficients for these two elements are reduced below the normal value for unstiffened elements, just as a partially stiffened element has a reduced plate buckling coefficient. These plate buckling coefficients are proportioned by the same ratio as the width reduction factor for the partially stiffened element.

Stiffened Elements

All elements between the third and third to last element of an open part and all elements of a closed part are considered stiffened, except for cases where elements are identified by CFS as having intermediate stiffeners (see Intermediate Stiffeners below). The plate buckling coefficient (k) for stiffened elements is computed based on the stress gradient per AISI and ASCE.

Three Element Parts

If a part has three elements, the middle element is considered fully stiffened.

One Element Parts

If a part has only one element, it is treated as an unstiffened element. If both edges are in compression, the ineffective area is removed from each edge, proportioned by the relative stresses at the edges.

Intermediate Stiffeners

The AISI Specification has provisions for elements with multiple intermediate stiffeners. CFS applies this new provision by first searching for elements that may contain intermediate stiffeners. Starting from the second element and continuing through to the second-to-last element, intermediate stiffeners are identified when a set of two or more elements are found to be collinear (parallel and along the same line). There are some conditions that disqualify all or part of the section as having intermediate stiffeners:

  • If the stiffened element crosses the neutral axis, only those elements in compression are considered using this method.
  • Any elements with user-defined plate buckling coefficients (k) will terminate the extent of an element with intermediate stiffeners.
  • If the total flat width of the collinear elements is less than the flat widths contained in the bounded non-collinear elements (stiffeners), those non-collinear elements are considered too large to be treated as intermediate stiffeners. For example, a symmetrical panel section with uniform corrugations, neither the top series of elements nor the bottom series of elements would be treated as intermediately stiffened elements. All the interior elements would all be treated as fully stiffened.

CFS uses this method even if there is only one intermediate stiffener. If a stress gradient exists along the stiffened element, the method is still applied using the average compressive stress in the element.

Earlier editions of the AISI Specification contained different provisions for multiple intermediate stiffeners, but CFS uses the above method for all cases, including stainless steel design.

Stiffness Override

If you input an element stiffness (k), it is used with the average compressive stress in the element, and the width of the compressive portion of the element to determine the effective width. The position of the ineffective portion is determined using the same method as for stiffened elements with a stress gradient, even if the override is applied to an edge element. Elements with holes cannot have a stiffness override.

Cover Plate with Intermittent Fasteners

The AISI Specification has special provisions for determining the effective width of cover plate segments connected to fluted sections with intermittent fasteners. To have CFS perform these calculations, define the cover plate as consecutive elements in the same direction, where the beginning and end of each element defines the fastener location. Then enter a non-zero plate buckling coefficient (k>0) for those elements connected by intermittent fasteners (including edge elements) and define the fastener spacing as the Connector Spacing on the Section tab of the Section Inputs.

These provisions only apply to the flexural strength of the cover-plated member with the cover plate under uniform compression. For axial load or cover plates under non-uniform compression, CFS will use the Stiffness Override logic stated above with the k value provided.

For interior cover plate elements, CFS uses k=4 regardless of the k value provided. For edge cover plate elements, CFS conservatively uses k=1.25 rather than applying the edge stiffener provisions to determine k. The cover plate may contain any type of elements beyond the flat portion. These elements are treated as described elsewhere in this help topic. If the cover plate has a simple edge stiffener element, CFS does not use the modified edge stiffener width and stress as defined by AISI. This is an approximation which typically has little impact on the overall flexural strength calculation.

CFS does not treat the cover plate effective width calculation as a rational analysis using more conservative safety and resistance factors, unless the section parameters do not comply with the limits stated in the AISI provisions.

Large Radius Arc Segments

The 2012 and later editions of the AISI Specification limited R/t to 10. The Commentary provides a rational analysis for reducing the plate buckling coefficients for elements adjacent to large radius bends. This rational analysis is employed by CFS for 10 < R/t < 30.

For bends with larger R/t, CFS may reduce the effective area in the bend itself. The effective area calculations for cylindrical tubular members under compression have been extended in CFS for use on arc segments of non-cylindrical sections. This provides continuity in member strength for sections that are nearly cylindrical.

Extreme Fiber

If the extreme compression fiber of the section is the tip of an unstiffened element, application of the AISI and ASCE Specifications might produce conservative allowable moments. If the element is not fully effective, the depth of the section may be reduced dramatically. CFS uses the reduced depth for the effective moment of inertia and effective section modulus.

Shear Distribution

For sections with multiple webs, the shear strength is determined as the sum of the shear strengths for each web. The shear strengths are calculated for unreinforced webs. For angled webs, the shear strength is multiplied by the cosine of the angle between the load direction and element direction. If all web elements are perpendicular to the load direction, the shear strength is zero in that direction.

In computing the shear strength of webs with holes, CFS assumes the holes to be non-circular, which results in a capacity slightly less than for circular holes. Although the AISI provisions only apply to C-sections with centered holes, CFS uses the same calculations for other conditions.


Technical Assistance

Engineering Practice

The CFS application is not intended to guide you regarding best engineering practices. Nor is the author in a position to make recommendations on engineering practice. Such issues should be pursued with engineers experienced in the type of construction, educational institutions involved in related research, or the appropriate building officials.

Specification Questions

Any specification is subject to interpretation when attempting to apply it to real world situations. CFS makes some assumptions in the calculations that it performs. These are explained in the various portions of this documentation as related to each type of calculation. Further interpretation of the AISI, ASCE, or similar specifications are beyond both the scope of this application and the responsibility of the author. Such issues should be pursued with appropriate organization.

Verification of Computations

CFS has been used extensively for many years. Computational bugs have been extremely rare in recent years, however it is still possible that one could arise. If you disagree with an output, you should first review all the inputs and their meanings, and understand all the assumptions as stated in this documentation. If you still disagree with an output, you should report it.

Suggestions and Comments

The CFS application has evolved through many phases of improvement and refinement. To continue in this direction, comments are encouraged. Whether you have a suggestion for a minor change, need a new feature, or simply don’t like the way something works, please send your comments to us.

System Errors and Hardware Problems

These are often difficult to resolve. With the wide range of computer hardware and accessories, operating systems and drivers, and application software, it is impossible to test every configuration and avoid all the conflicts that could occur.

CFS has been shown to run successfully on a variety of configurations, but it is still possible to encounter system difficulties. If CFS runs fine on one computer, but has problems on another computer, it is highly likely that the cause is a hardware, operating system, or driver problem. First try rebooting the computer. Next try re-installing CFS. If the problem still exists, you should have a computer specialist evaluate the hardware and operating system. If the problem is still not resolved, and it can be duplicated on a regular basis, you should report it.

Contacting RSG Software

The best way to contact RSG Software is by e-mail. This provides a convenient record of the correspondence, and an expedient method of reply. You can also attach any necessary files.

RSG Software, Inc.
2803 NW Chipman Road
Lee’s Summit, MO 64081
support@rsgsoftware.com
www.rsgsoftware.com